/* This file was hand-maded so it may contain some errors ... so be carefull */

#include <exec/libraries.h>
extern struct Library *smapBase;

#ifndef _INLINE_SMAP_H
#define _INLINE_SMAP_H

#ifndef __INLINE_MACROS_H
#include <inline/macros.h>
#endif 

#ifndef SMAP_BASE_NAME
#define SMAP_BASE_NAME smapBase
#endif 

#define registerGLSMAP(ptr)  LP1NR(30,registerGLSMAP,struct glsmapreg*,ptr,a0,,GLSMAP_BASE_NAME)
#define smapCreateSphereMap(shareSmap)  LP1(36,SphereMap* ,smapCreateSphereMap,SphereMap*,shareSmap,a0,,SMAP_BASE_NAME)
#define smapDestroySphereMap(smap)  LP1NR(42,void,smapDestroySphereMap,SphereMap*,smap,a0,,SMAP_BASE_NAME)
#define smapConfigureSphereMapMesh(smap,steps,rings,edgeExtend)  LP4NR(48,smapConfigureSphereMapMesh,SphereMap*,smap,a0,int,steps,d0,int,rings,d1,int,edgeExtend,d2,,SMAP_BASE_NAME)
#define smapSetSphereMapTexObj(smap,texobj)  LP2NR(54,smapSetSphereMapTexObj,SphereMap*,smap,a0,GLuint,texobj,d0,,SMAP_BASE_NAME)
#define smapSetViewTexObj(smap,texobj)  LP2NR(60,smapSetViewTexObj,SphereMap*,smap,a0,GLuint,texobj,d0,,SMAP_BASE_NAME)
#define smapSetViewTexObjs(smap,texobjs)  LP2NR(66,smapSetViewTexObjs,SphereMap*,smap,a0,GLuint,texobjs[6],a1,,SMAP_BASE_NAME)
#define smapGetSphereMapTexObj(smap,texobj)  LP2NR(72,smapGetSphereMapTexObj,SphereMap*,smap,a0,GLuint*,texobj,a1,,SMAP_BASE_NAME)
#define smapGetViewTexObj(smap,texobj)  LP2NR(78,smapGetViewTexObj,SphereMap*,smap,a0,GLuint*,texobj,a1,,SMAP_BASE_NAME)
#define smapGetViewTexObjs(smap,texobjs)  LP2NR(84,smapGetViewTexObjs,SphereMap*,smap,a0,GLuint,texobjs[6],a1,,SMAP_BASE_NAME)
#define smapSetFlags(smap,flags)  LP2NR(90,smapSetFlags,SphereMap*,smap,a0,SphereMapFlags,flags,d0,,SMAP_BASE_NAME)
#define smapGetFlags(smap,flags)  LP2NR(96,smapGetFlags,SphereMap*,smap,a0,SphereMapFlags*,flags,a1,,SMAP_BASE_NAME)
#define smapSetViewOrigin(smap,x,y)  LP3NR(102,smapSetViewOrigin,SphereMap*,smap,a0,GLint,x,d0,GLint,y,d1,,SMAP_BASE_NAME)
#define smapSetSphereMapOrigin(smap,x,y)  LP3NR(108,smapSetSphereMapOrigin,SphereMap*,smap,a0,GLint,x,d0,GLint,y,d1,,SMAP_BASE_NAME)
#define smapGetViewOrigin(smap,x,y)  LP3NR(114,smapGetViewOrigin,SphereMap*,smap,a0,GLint*,x,a1,GLint*,y,a2,,SMAP_BASE_NAME)
#define smapGetSphereMapOrigin(smap,x,y)  LP3NR(120,smapGetSphereMapOrigin,SphereMap*,smap,a0,GLint*,x,a1,GLint*,y,a2,,SMAP_BASE_NAME)
#define smapSetEye(smap,eyex,eyey,eyez)  LP4NR(126,smapSetEye,SphereMap*,smap,a0,GLfloat,eyex,fp0,GLfloat,eyey,fp1,GLfloat,eyez,fp2,,SMAP_BASE_NAME)
#define smapSetEyeVector(smap,eye)  LP2NR(132,smapSetEyeVector,SphereMap*,smap,a0,GLfloat*,eye,a1,,SMAP_BASE_NAME)
#define smapSetUp(smap,upx,upy,upz)  LP4NR(138,smapSetUp,SphereMap*,smap,a0,GLfloat,upx,fp0,GLfloat,upy,fp1,GLfloat,upz,fp2,,SMAP_BASE_NAME)
#define smapSetUpVector(smap,up)  LP2NR(144,smapSetUpVector,SphereMap*,smap,a0,GLfloat*,up,a1,,SMAP_BASE_NAME)
#define smapSetObject(smap,objx,objy,objz)  LP4NR(150,smapSetObject,SphereMap*,smap,a0,GLfloat,objx,fp0,GLfloat,objy,fp1,GLfloat,objz,fp2,,SMAP_BASE_NAME)
#define smapSetObjectVector(smap,obj)  LP2NR(156,smapSetObjectVector,SphereMap*,smap,a0,GLfloat*,obj,a1,,SMAP_BASE_NAME)
#define smapGetEye(smap,eyex,eyey,eyez)  LP4NR(162,smapGetEye,SphereMap*,smap,a0,GLfloat*,eyex,a1,GLfloat*,eyey,a2,GLfloat*,eyez,a3,,SMAP_BASE_NAME)
#define smapGetEyeVector(smap,eye)  LP2NR(168,smapGetEyeVector,SphereMap*,smap,a0,GLfloat*,eye,a1,,SMAP_BASE_NAME)
#define smapGetUp(smap,upx,upy,upz)  LP4NR(174,smapGetUp,SphereMap*,smap,a0,GLfloat*,upx,a1,GLfloat*,upy,a2,GLfloat*,upz,a3,,SMAP_BASE_NAME)
#define smapGetUpVector(smap,up)  LP2NR(180,smapGetUpVector,SphereMap*,smap,a0,GLfloat*,up,a1,,SMAP_BASE_NAME)
#define smapGetObject(smap,objx,objy,objz)  LP4NR(186,smapGetObject,SphereMap*,smap,a0,GLfloat*,objx,a1,GLfloat*,objy,a2,GLfloat*,objz,a3,,SMAP_BASE_NAME)
#define smapGetObjectVector(smap,obj)  LP2NR(192,smapGetObjectVector,SphereMap*,smap,a0,GLfloat*,obj,a1,,SMAP_BASE_NAME)
#define smapSetNearFar(smap,viewNear,viewFar)  LP3NR(198,smapSetNearFar,SphereMap*,smap,a0,GLfloat,viewNear,fp0,GLfloat,viewFar,fp1,,SMAP_BASE_NAME)
#define smapGetNearFar(smap,viewNear,viewFar)  LP3NR(204,smapGetNearFar,SphereMap*,smap,a0,GLfloat*,viewNear,a1,GLfloat*,viewFar,a2,,SMAP_BASE_NAME)
#define smapSetSphereMapTexDim(smap,texdim)  LP2NR(210,smapSetSphereMapTexDim,SphereMap*,smap,a0,GLsizei,texdim,d0,,SMAP_BASE_NAME)
#define smapSetViewTexDim(smap,texdim)  LP2NR(216,smapSetViewTexDim,SphereMap*,smap,a0,GLsizei,texdim,d0,,SMAP_BASE_NAME)
#define smapGetSphereMapTexDim(smap,texdim)  LP2NR(222,smapGetSphereMapTexDim,SphereMap*,smap,a0,GLsizei*,texdim,a1,,SMAP_BASE_NAME)
#define smapGetViewTexDim(smap,texdim)  LP2NR(228,smapGetViewTexDim,SphereMap*,smap,a0,GLsizei*,texdim,a1,,SMAP_BASE_NAME)
#define smapSetContextData(smap,context)  LP2NR(234,smapSetContextData,SphereMap*,smap,a0,void*,context,a1,,SMAP_BASE_NAME)
#define smapGetContextData(smap,context)  LP2NR(240,smapGetContextData,SphereMap*,smap,a0,void**,context,a1,,SMAP_BASE_NAME)
#define smapSetPositionLightsFunc(smap,func)  LP2NR(246,smapSetPositionLightsFunc,SphereMap*,smap,a0,void*,func,a1,,SMAP_BASE_NAME)
#define smapSetDrawViewFunc(smap,func)  LP2NR(252,smapSetDrawViewFunc,SphereMap*,smap,a0,void*,func,a1,,SMAP_BASE_NAME)
#define smapGetPositionLightsFunc(smap,func)  LP2NR(258,smapGetPositionLightsFunc,SphereMap*,smap,a0,void*,func,a1,,SMAP_BASE_NAME)
#define smapGetDrawViewFunc(smap,func)  LP2NR(264,smapGetDrawViewFunc,SphereMap*,smap,a0,void*,func,a1,,SMAP_BASE_NAME)
#define smapGenViewTex(smap,view)  LP2NR(270,smapGenViewTex,SphereMap*,smap,a0,int,view,d0,,SMAP_BASE_NAME)
#define smapGenViewTexs(smap)  LP1NR(276,smapGenViewTexs,SphereMap*,smap,a0,,SMAP_BASE_NAME)
#define smapGenSphereMapFromViewTexs(smap)  LP1NR(282,smapGenSphereMapFromViewTexs,SphereMap*,smap,a0,,SMAP_BASE_NAME)
#define smapGenSphereMap(smap)  LP1NR(288,smapGenSphereMap,SphereMap*,smap,a0,,SMAP_BASE_NAME)
#define smapGenSphereMapWithOneViewTex(smap)  LP1NR(294,smapGenSphereMapWithOneViewTex,SphereMap*,smap,a0,,SMAP_BASE_NAME)
#define smapRvecToSt(rvec,st)  LP2(300,int,smapRvecToSt,float,rvec[3],a0,float,st[2],a1,,SMAP_BASE_NAME)
#define smapStToRvec(st,rvec)  LP2NR(306,smapStToRvec,float*,st,a0,float*,rvec,a1,,SMAP_BASE_NAME)

#endif 
