#ifndef _INCLUDE_PRAGMA_AGLU_LIB_H
#define _INCLUDE_PRAGMA_AGLU_LIB_H

#ifndef CLIB_AGLU_PROTOS_H
#include <clib/aglu_protos.h>
#endif

#ifdef __GNUC__
#include <inline/aglu.h>
#endif
#if defined(AZTEC_C) || defined(__MAXON__) || defined(__STORM__)
#pragma amicall(gluBase,0x01E,registerGLU(a0))
#pragma amicall(gluBase,0x024,gluLookAt(fp0,fp1,fp2,fp3,fp4,fp5,fp6,fp7,d0))
#pragma amicall(gluBase,0x02A,gluOrtho2D(fp0,fp1,fp2,fp3))
#pragma amicall(gluBase,0x030,gluPerspective(fp0,fp1,fp2,fp3))
#pragma amicall(gluBase,0x036,gluPickMatrix(fp0,fp1,fp2,fp3,a0))
#pragma amicall(gluBase,0x03C,gluProject(fp0,fp1,fp2,a0,a1,a2,a3,d0,d1))
#pragma amicall(gluBase,0x042,gluUnProject(fp0,fp1,fp2,a0,a1,a2,a3,d0,d1))
#pragma amicall(gluBase,0x048,gluErrorString(d0))
#pragma amicall(gluBase,0x04E,gluScaleImage(d0,d1,d2,d3,a0,d4,d5,d6,a1))
#pragma amicall(gluBase,0x054,gluBuild1DMipmaps(d0,d1,d2,d3,d4,a0))
#pragma amicall(gluBase,0x05A,gluBuild2DMipmaps(d0,d1,d2,d3,d4,d5,a0))
#pragma amicall(gluBase,0x060,gluNewQuadric())
#pragma amicall(gluBase,0x066,gluDeleteQuadric(a0))
#pragma amicall(gluBase,0x06C,gluQuadricDrawStyle(a0,d0))
#pragma amicall(gluBase,0x072,gluQuadricOrientation(a0,d0))
#pragma amicall(gluBase,0x078,gluQuadricNormals(a0,d0))
#pragma amicall(gluBase,0x07E,gluQuadricTexture(a0,d0))
#pragma amicall(gluBase,0x084,gluQuadricCallback(a0,d0,a1))
#pragma amicall(gluBase,0x08A,gluCylinder(a0,fp0,fp1,fp2,d0,d1))
#pragma amicall(gluBase,0x090,gluSphere(a0,fp0,d0,d1))
#pragma amicall(gluBase,0x096,gluDisk(a0,fp0,fp1,d0,d1))
#pragma amicall(gluBase,0x09C,gluPartialDisk(a0,fp0,fp1,d0,d1,fp2,fp3))
#pragma amicall(gluBase,0x0A2,gluNewNurbsRenderer())
#pragma amicall(gluBase,0x0A8,gluDeleteNurbsRenderer(a0))
#pragma amicall(gluBase,0x0AE,gluLoadSamplingMatrices(a0,a1,a2,a3))
#pragma amicall(gluBase,0x0B4,gluNurbsProperty(a0,d0,fp0))
#pragma amicall(gluBase,0x0BA,gluGetNurbsProperty(a0,d0,a1))
#pragma amicall(gluBase,0x0C0,gluBeginCurve(a0))
#pragma amicall(gluBase,0x0C6,gluEndCurve(a0))
#pragma amicall(gluBase,0x0CC,gluNurbsCurve(a0,d0,a1,d1,a2,d2,d3))
#pragma amicall(gluBase,0x0D2,gluBeginSurface(a0))
#pragma amicall(gluBase,0x0D8,gluEndSurface(a0))
#pragma amicall(gluBase,0x0DE,gluNurbsSurface(a0,d0,a1,d1,a2,d2,d3,a3,d4,d5,d6))
#pragma amicall(gluBase,0x0E4,gluBeginTrim(a0))
#pragma amicall(gluBase,0x0EA,gluEndTrim(a0))
#pragma amicall(gluBase,0x0F0,gluPwlCurve(a0,d0,a1,d1,d2))
#pragma amicall(gluBase,0x0F6,gluNurbsCallback(a0,d0,a1))
#pragma amicall(gluBase,0x0FC,gluNewTess())
#pragma amicall(gluBase,0x102,gluTessCallback(a0,d0,a1))
#pragma amicall(gluBase,0x108,gluDeleteTess(a0))
#pragma amicall(gluBase,0x10E,gluBeginPolygon(a0))
#pragma amicall(gluBase,0x114,gluEndPolygon(a0))
#pragma amicall(gluBase,0x11A,gluNextContour(a0,d0))
#pragma amicall(gluBase,0x120,gluTessVertex(a0,a1,a2))
#pragma amicall(gluBase,0x126,gluGetString(d0))
#endif
#if defined(_DCC) || defined(__SASC)
#pragma  libcall gluBase registerGLU          01E 801
#pragma flibcall gluBase gluLookAt            024 0017161514131211100009
#pragma flibcall gluBase gluOrtho2D           02A 131211100004
#pragma flibcall gluBase gluPerspective       030 131211100004
#pragma flibcall gluBase gluPickMatrix        036 08131211100005
#pragma flibcall gluBase gluProject           03C 01000B0A09081211100009
#pragma flibcall gluBase gluUnProject         042 01000B0A09081211100009
#pragma  libcall gluBase gluErrorString       048 001
#pragma  libcall gluBase gluScaleImage        04E 96548321009
#pragma  libcall gluBase gluBuild1DMipmaps    054 84321006
#pragma  libcall gluBase gluBuild2DMipmaps    05A 854321007
#pragma  libcall gluBase gluNewQuadric        060 00
#pragma  libcall gluBase gluDeleteQuadric     066 801
#pragma  libcall gluBase gluQuadricDrawStyle  06C 0802
#pragma  libcall gluBase gluQuadricOrientation 072 0802
#pragma  libcall gluBase gluQuadricNormals    078 0802
#pragma  libcall gluBase gluQuadricTexture    07E 0802
#pragma  libcall gluBase gluQuadricCallback   084 90803
#pragma flibcall gluBase gluCylinder          08A 0100121110080006
#pragma flibcall gluBase gluSphere            090 010010080004
#pragma flibcall gluBase gluDisk              096 01001110080005
#pragma flibcall gluBase gluPartialDisk       09C 131201001110080007
#pragma  libcall gluBase gluNewNurbsRenderer  0A2 00
#pragma  libcall gluBase gluDeleteNurbsRenderer 0A8 801
#pragma  libcall gluBase gluLoadSamplingMatrices 0AE BA9804
#pragma flibcall gluBase gluNurbsProperty     0B4 1000080003
#pragma  libcall gluBase gluGetNurbsProperty  0BA 90803
#pragma  libcall gluBase gluBeginCurve        0C0 801
#pragma  libcall gluBase gluEndCurve          0C6 801
#pragma  libcall gluBase gluNurbsCurve        0CC 32A190807
#pragma  libcall gluBase gluBeginSurface      0D2 801
#pragma  libcall gluBase gluEndSurface        0D8 801
#pragma  libcall gluBase gluNurbsSurface      0DE 654B32A19080B
#pragma  libcall gluBase gluBeginTrim         0E4 801
#pragma  libcall gluBase gluEndTrim           0EA 801
#pragma  libcall gluBase gluPwlCurve          0F0 2190805
#pragma  libcall gluBase gluNurbsCallback     0F6 90803
#pragma  libcall gluBase gluNewTess           0FC 00
#pragma  libcall gluBase gluTessCallback      102 90803
#pragma  libcall gluBase gluDeleteTess        108 801
#pragma  libcall gluBase gluBeginPolygon      10E 801
#pragma  libcall gluBase gluEndPolygon        114 801
#pragma  libcall gluBase gluNextContour       11A 0802
#pragma  libcall gluBase gluTessVertex        120 A9803
#pragma  libcall gluBase gluGetString         126 001
#endif

#endif	/*  _INCLUDE_PRAGMA_AGLU_LIB_H  */
