struct amigamesa_visual* AmigaMesaCreateVisual(struct TagItem *tagList);      

struct amigamesa_context* AmigaMesaCreateContext(struct TagItem *tagList );      

void AmigaMesaDestroyContext(struct amigamesa_context *c );    

void AmigaMesaDestroyVisual(struct amigamesa_visual *v );      

void AmigaMesaMakeCurrent(struct amigamesa_context *c ,struct amigamesa_buffer *b);    

void AmigaMesaSwapBuffers(struct amigamesa_context *amesa);    

void AmigaMesaSetOneColor(struct amigamesa_context *c,int index,float r,float g,float b);    

void AmigaMesaSetRast(struct amigamesa_context *c, struct TagItem *tagList );    

void AmigaMesaGetConfig(struct amigamesa_visual *v, GLenum pname, GLint* params );     

void glClearIndex( GLfloat c );     

void glClearColor( GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha );      

void glClear( GLbitfield mask );    

void glIndexMask( GLuint mask );    

void glColorMask( GLboolean red, GLboolean green, GLboolean blue, GLboolean alpha );      

void glAlphaFunc( GLenum func, GLclampf ref );     

void glBlendFunc( GLenum sfactor, GLenum dfactor );      

void glLogicOp( GLenum opcode );    

void glCullFace( GLenum mode );     

void glFrontFace( GLenum mode );    

void glPointSize( GLfloat size );      

void glLineWidth( GLfloat width );     

void glLineStipple( GLint factor, GLushort pattern );    

void glPolygonMode( GLenum face, GLenum mode );    

void glPolygonOffset( GLfloat factor, GLfloat units );      

void glPolygonStipple( const GLubyte *mask );      

void glGetPolygonStipple( GLubyte *mask );      

void glEdgeFlag( GLboolean flag );     

void glEdgeFlagv( const GLboolean *flag );      

void glScissor( GLint x, GLint y, GLsizei width, GLsizei height);    

void glClipPlane( GLenum plane, const GLdouble *equation );    

void glGetClipPlane( GLenum plane, GLdouble *equation );    

void glDrawBuffer( GLenum mode );      

void glReadBuffer( GLenum mode );      

void glEnable( GLenum cap );     

void glDisable( GLenum cap );    

GLboolean glIsEnabled( GLenum cap );      

void glEnableClientState( GLenum cap );      

void glDisableClientState( GLenum cap );     

void glGetBooleanv( GLenum pname, GLboolean *params );      

void glGetDoublev( GLenum pname, GLdouble *params );     

void glGetFloatv( GLenum pname, GLfloat *params );    

void glGetIntegerv( GLenum pname, GLint *params );    

void glPushAttrib( GLbitfield mask );     

void glPopAttrib( void );     

void glPushClientAttrib( GLbitfield mask );     

void glPopClientAttrib( void );     

GLint glRenderMode( GLenum mode );     

GLenum glGetError( void );    

const GLubyte* glGetString( GLenum name );      

void glFinish( void );     

void glFlush( void );      

void glHint( GLenum target, GLenum mode );      

void glClearDepth( GLclampd depth );      

void glDepthFunc( GLenum func );    

void glDepthMask( GLboolean flag );    

void glDepthRange( GLclampd near_val, GLclampd far_val );      

void glClearAccum( GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha );    

void glAccum( GLenum op, GLfloat value );    

void glMatrixMode( GLenum mode );      

void glOrtho( GLdouble left, GLdouble right, GLdouble bottom, GLdouble top, GLdouble near_val, GLdouble far_val );      

void glFrustum( GLdouble left, GLdouble right, GLdouble bottom, GLdouble top, GLdouble near_val, GLdouble far_val );    

void glViewport( GLint x, GLint y, GLsizei width, GLsizei height );     

void glPushMatrix( void );    

void glPopMatrix( void );     

void glLoadIdentity( void );     

void glLoadMatrixd( const GLdouble *m );     

void glLoadMatrixf( const GLfloat *m );      

void glMultMatrixd( const GLdouble *m );     

void glMultMatrixf( const GLfloat *m );      

void glRotated( GLdouble angle, GLdouble x, GLdouble y, GLdouble z );      

void glRotatef( GLfloat angle, GLfloat x, GLfloat y, GLfloat z );    

void glScaled( GLdouble x, GLdouble y, GLdouble z );     

void glScalef( GLfloat x, GLfloat y, GLfloat z );     

void glTranslated( GLdouble x, GLdouble y, GLdouble z );    

void glTranslatef( GLfloat x, GLfloat y, GLfloat z );    

GLboolean glIsList( GLuint list );     

void glDeleteLists( GLuint list, GLsizei range );     

GLuint glGenLists( GLsizei range );    

void glNewList( GLuint list, GLenum mode );     

void glEndList( void );    

void glCallList( GLuint list );     

void glCallLists( GLsizei n, GLenum type, const GLvoid *lists );     

void glListBase( GLuint base );     

void glBegin( GLenum mode );     

void glEnd( void );     

void glVertex2d( GLdouble x, GLdouble y );      

void glVertex2f( GLfloat x, GLfloat y );     

void glVertex2i( GLint x, GLint y );      

void glVertex2s( GLshort x, GLshort y );     

void glVertex3d( GLdouble x, GLdouble y, GLdouble z );      

void glVertex3f( GLfloat x, GLfloat y, GLfloat z );      

void glVertex3i( GLint x, GLint y, GLint z );      

void glVertex3s( GLshort x, GLshort y, GLshort z );      

void glVertex4d( GLdouble x, GLdouble y, GLdouble z, GLdouble w );      

void glVertex4f( GLfloat x, GLfloat y, GLfloat z, GLfloat w );    

void glVertex4i( GLint x, GLint y, GLint z, GLint w );      

void glVertex4s( GLshort x, GLshort y, GLshort z, GLshort w );    

void glVertex2dv( const GLdouble *v );    

void glVertex2fv( const GLfloat *v );     

void glVertex2iv( const GLint *v );    

void glVertex2sv( const GLshort *v );     

void glVertex3dv( const GLdouble *v );    

void glVertex3fv( const GLfloat *v );     

void glVertex3iv( const GLint *v );    

void glVertex3sv( const GLshort *v );     

void glVertex4dv( const GLdouble *v );    

void glVertex4fv( const GLfloat *v );     

void glVertex4iv( const GLint *v );    

void glVertex4sv( const GLshort *v );     

void glNormal3b( GLbyte nx, GLbyte ny, GLbyte nz );      

void glNormal3d( GLdouble nx, GLdouble ny, GLdouble nz );      

void glNormal3f( GLfloat nx, GLfloat ny, GLfloat nz );      

void glNormal3i( GLint nx, GLint ny, GLint nz );      

void glNormal3s( GLshort nx, GLshort ny, GLshort nz );      

void glNormal3bv( const GLbyte *v );      

void glNormal3dv( const GLdouble *v );    

void glNormal3fv( const GLfloat *v );     

void glNormal3iv( const GLint *v );    

void glNormal3sv( const GLshort *v );     

void glIndexd( GLdouble c );     

void glIndexf( GLfloat c );      

void glIndexi( GLint c );     

void glIndexs( GLshort c );      

void glIndexub( GLubyte c );     

void glIndexdv( const GLdouble *c );      

void glIndexfv( const GLfloat *c );    

void glIndexiv( const GLint *c );      

void glIndexsv( const GLshort *c );    

void glIndexubv( const GLubyte *c );      

void glColor3b( GLbyte red, GLbyte green, GLbyte blue );    

void glColor3d( GLdouble red, GLdouble green, GLdouble blue );    

void glColor3f( GLfloat red, GLfloat green, GLfloat blue );    

void glColor3i( GLint red, GLint green, GLint blue );    

void glColor3s( GLshort red, GLshort green, GLshort blue );    

void glColor3ub( GLubyte red, GLubyte green, GLubyte blue );      

void glColor3ui( GLuint red, GLuint green, GLuint blue );      

void glColor3us( GLushort red, GLushort green, GLushort blue );      

void glColor4b( GLbyte red, GLbyte green, GLbyte blue, GLbyte alpha );     

void glColor4d( GLdouble red, GLdouble green, GLdouble blue, GLdouble alpha );      

void glColor4f( GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha );    

void glColor4i( GLint red, GLint green, GLint blue, GLint alpha );      

void glColor4s( GLshort red, GLshort green, GLshort blue, GLshort alpha );    

void glColor4ub( GLubyte red, GLubyte green, GLubyte blue, GLubyte alpha );      

void glColor4ui( GLuint red, GLuint green, GLuint blue, GLuint alpha );    

void glColor4us( GLushort red, GLushort green, GLushort blue, GLushort alpha );     

void glColor3bv( const GLbyte *v );    

void glColor3dv( const GLdouble *v );     

void glColor3fv( const GLfloat *v );      

void glColor3iv( const GLint *v );     

void glColor3sv( const GLshort *v );      

void glColor3ubv( const GLubyte *v );     

void glColor3uiv( const GLuint *v );      

void glColor3usv( const GLushort *v );    

void glColor4bv( const GLbyte *v );    

void glColor4dv( const GLdouble *v );     

void glColor4fv( const GLfloat *v );      

void glColor4iv( const GLint *v );     

void glColor4sv( const GLshort *v );      

void glColor4ubv( const GLubyte *v );     

void glColor4uiv( const GLuint *v );      

void glColor4usv( const GLushort *v );    

void glTexCoord1d( GLdouble s );    

void glTexCoord1f( GLfloat s );     

void glTexCoord1i( GLint s );    

void glTexCoord1s( GLshort s );     

void glTexCoord2d( GLdouble s, GLdouble t );    

void glTexCoord2f( GLfloat s, GLfloat t );      

void glTexCoord2i( GLint s, GLint t );    

void glTexCoord2s( GLshort s, GLshort t );      

void glTexCoord3d( GLdouble s, GLdouble t, GLdouble r );    

void glTexCoord3f( GLfloat s, GLfloat t, GLfloat r );    

void glTexCoord3i( GLint s, GLint t, GLint r );    

void glTexCoord3s( GLshort s, GLshort t, GLshort r );    

void glTexCoord4d( GLdouble s, GLdouble t, GLdouble r, GLdouble q );    

void glTexCoord4f( GLfloat s, GLfloat t, GLfloat r, GLfloat q );     

void glTexCoord4i( GLint s, GLint t, GLint r, GLint q );    

void glTexCoord4s( GLshort s, GLshort t, GLshort r, GLshort q );     

void glTexCoord1dv( const GLdouble *v );     

void glTexCoord1fv( const GLfloat *v );      

void glTexCoord1iv( const GLint *v );     

void glTexCoord1sv( const GLshort *v );      

void glTexCoord2dv( const GLdouble *v );     

void glTexCoord2fv( const GLfloat *v );      

void glTexCoord2iv( const GLint *v );     

void glTexCoord2sv( const GLshort *v );      

void glTexCoord3dv( const GLdouble *v );     

void glTexCoord3fv( const GLfloat *v );      

void glTexCoord3iv( const GLint *v );     

void glTexCoord3sv( const GLshort *v );      

void glTexCoord4dv( const GLdouble *v );     

void glTexCoord4fv( const GLfloat *v );      

void glTexCoord4iv( const GLint *v );     

void glTexCoord4sv( const GLshort *v );      

void glRasterPos2d( GLdouble x, GLdouble y );      

void glRasterPos2f( GLfloat x, GLfloat y );     

void glRasterPos2i( GLint x, GLint y );      

void glRasterPos2s( GLshort x, GLshort y );     

void glRasterPos3d( GLdouble x, GLdouble y, GLdouble z );      

void glRasterPos3f( GLfloat x, GLfloat y, GLfloat z );      

void glRasterPos3i( GLint x, GLint y, GLint z );      

void glRasterPos3s( GLshort x, GLshort y, GLshort z );      

void glRasterPos4d( GLdouble x, GLdouble y, GLdouble z, GLdouble w );      

void glRasterPos4f( GLfloat x, GLfloat y, GLfloat z, GLfloat w );    

void glRasterPos4i( GLint x, GLint y, GLint z, GLint w );      

void glRasterPos4s( GLshort x, GLshort y, GLshort z, GLshort w );    

void glRasterPos2dv( const GLdouble *v );    

void glRasterPos2fv( const GLfloat *v );     

void glRasterPos2iv( const GLint *v );    

void glRasterPos2sv( const GLshort *v );     

void glRasterPos3dv( const GLdouble *v );    

void glRasterPos3fv( const GLfloat *v );     

void glRasterPos3iv( const GLint *v );    

void glRasterPos3sv( const GLshort *v );     

void glRasterPos4dv( const GLdouble *v );    

void glRasterPos4fv( const GLfloat *v );     

void glRasterPos4iv( const GLint *v );    

void glRasterPos4sv( const GLshort *v );     

void glRectd( GLdouble x1, GLdouble y1, GLdouble x2, GLdouble y2 );     

void glRectf( GLfloat x1, GLfloat y1, GLfloat x2, GLfloat y2 );      

void glRecti( GLint x1, GLint y1, GLint x2, GLint y2 );     

void glRects( GLshort x1, GLshort y1, GLshort x2, GLshort y2 );      

void glRectdv( const GLdouble *v1, const GLdouble *v2 );    

void glRectfv( const GLfloat *v1, const GLfloat *v2 );      

void glRectiv( const GLint *v1, const GLint *v2 );    

void glRectsv( const GLshort *v1, const GLshort *v2 );      

void glVertexPointer( GLint size, GLenum type, GLsizei stride, const GLvoid *ptr );    

void glNormalPointer( GLenum type, GLsizei stride, const GLvoid *ptr );    

void glColorPointer( GLint size, GLenum type, GLsizei stride, const GLvoid *ptr );     

void glIndexPointer( GLenum type, GLsizei stride, const GLvoid *ptr );     

void glTexCoordPointer( GLint size, GLenum type, GLsizei stride, const GLvoid *ptr );     

void glEdgeFlagPointer( GLsizei stride, const GLboolean *ptr );      

void glGetPointerv( GLenum pname, void **params );    

void glArrayElement( GLint i );     

void glDrawArrays( GLenum mode, GLint first, GLsizei count );     

void glDrawElements( GLenum mode, GLsizei count, GLenum type, const GLvoid *indices );    

void glInterleavedArrays( GLenum format, GLsizei stride, const GLvoid *pointer );      

void glShadeModel( GLenum mode );      

void glLightf( GLenum light, GLenum pname, GLfloat param );    

void glLighti( GLenum light, GLenum pname, GLint param );      

void glLightfv( GLenum light, GLenum pname, const GLfloat *params );    

void glLightiv( GLenum light, GLenum pname, const GLint *params );      

void glGetLightfv( GLenum light, GLenum pname, GLfloat *params );    

void glGetLightiv( GLenum light, GLenum pname, GLint *params );      

void glLightModelf( GLenum pname, GLfloat param );    

void glLightModeli( GLenum pname, GLint param );      

void glLightModelfv( GLenum pname, const GLfloat *params );    

void glLightModeliv( GLenum pname, const GLint *params );      

void glMaterialf( GLenum face, GLenum pname, GLfloat param );     

void glMateriali( GLenum face, GLenum pname, GLint param );    

void glMaterialfv( GLenum face, GLenum pname, const GLfloat *params );     

void glMaterialiv( GLenum face, GLenum pname, const GLint *params );    

void glGetMaterialfv( GLenum face, GLenum pname, GLfloat *params );     

void glGetMaterialiv( GLenum face, GLenum pname, GLint *params );    

void glColorMaterial( GLenum face, GLenum mode );     

void glPixelZoom( GLfloat xfactor, GLfloat yfactor );    

void glPixelStoref( GLenum pname, GLfloat param );    

void glPixelStorei( GLenum pname, GLint param );      

void glPixelTransferf( GLenum pname, GLfloat param );    

void glPixelTransferi( GLenum pname, GLint param );      

void glPixelMapfv( GLenum map, GLint mapsize, const GLfloat *values );     

void glPixelMapuiv( GLenum map, GLint mapsize, const GLuint *values );     

void glPixelMapusv( GLenum map, GLint mapsize, const GLushort *values );      

void glGetPixelMapfv( GLenum map, GLfloat *values );     

void glGetPixelMapuiv( GLenum map, GLuint *values );     

void glGetPixelMapusv( GLenum map, GLushort *values );      

void glBitmap( GLsizei width, GLsizei height, GLfloat xorig, GLfloat yorig, GLfloat xmove, GLfloat ymove, const GLubyte *bitmap );     

void glReadPixels( GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLvoid *pixels );    

void glDrawPixels( GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *pixels );    

void glCopyPixels( GLint x, GLint y, GLsizei width, GLsizei height, GLenum type );     

void glStencilFunc( GLenum func, GLint ref, GLuint mask );     

void glStencilMask( GLuint mask );     

void glStencilOp( GLenum fail, GLenum zfail, GLenum zpass );      

void glClearStencil( GLint s );     

void glTexGend( GLenum coord, GLenum pname, GLdouble param );     

void glTexGenf( GLenum coord, GLenum pname, GLfloat param );      

void glTexGeni( GLenum coord, GLenum pname, GLint param );     

void glTexGendv( GLenum coord, GLenum pname, const GLdouble *params );     

void glTexGenfv( GLenum coord, GLenum pname, const GLfloat *params );      

void glTexGeniv( GLenum coord, GLenum pname, const GLint *params );     

void glGetTexGendv( GLenum coord, GLenum pname, GLdouble *params );     

void glGetTexGenfv( GLenum coord, GLenum pname, GLfloat *params );      

void glGetTexGeniv( GLenum coord, GLenum pname, GLint *params );     

void glTexEnvf( GLenum target, GLenum pname, GLfloat param );     

void glTexEnvi( GLenum target, GLenum pname, GLint param );    

void glTexEnvfv( GLenum target, GLenum pname, const GLfloat *params );     

void glTexEnviv( GLenum target, GLenum pname, const GLint *params );    

void glGetTexEnvfv( GLenum target, GLenum pname, GLfloat *params );     

void glGetTexEnviv( GLenum target, GLenum pname, GLint *params );    

void glTexParameterf( GLenum target, GLenum pname, GLfloat param );     

void glTexParameteri( GLenum target, GLenum pname, GLint param );    

void glTexParameterfv( GLenum target, GLenum pname, const GLfloat *params );     

void glTexParameteriv( GLenum target, GLenum pname, const GLint *params );    

void glGetTexParameterfv( GLenum target, GLenum pname, GLfloat *params);      

void glGetTexParameteriv( GLenum target, GLenum pname, GLint *params );    

void glGetTexLevelParameterfv( GLenum target, GLint level, GLenum pname, GLfloat *params );     

void glGetTexLevelParameteriv( GLenum target, GLint level, GLenum pname, GLint *params );    

void glTexImage1D( GLenum target, GLint level, GLint internalFormat, GLsizei width, GLint border, GLenum format, GLenum type, const GLvoid *pixels );    

void glTexImage2D( GLenum target, GLint level, GLint internalFormat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const GLvoid *pixels );      

void glGetTexImage( GLenum target, GLint level, GLenum format, GLenum type, GLvoid *pixels );      

void glGenTextures( GLsizei n, GLuint *textures );    

void glDeleteTextures( GLsizei n, const GLuint *textures);     

void glBindTexture( GLenum target, GLuint texture );     

void glPrioritizeTextures( GLsizei n, const GLuint *textures, const GLclampf *priorities );     

GLboolean glAreTexturesResident( GLsizei n, const GLuint *textures, GLboolean *residences );    

GLboolean glIsTexture( GLuint texture );     

void glTexSubImage1D( GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const GLvoid *pixels );    

void glTexSubImage2D( GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *pixels );      

void glCopyTexImage1D( GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLint border );    

void glCopyTexImage2D( GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border );      

void glCopyTexSubImage1D( GLenum target, GLint level, GLint xoffset, GLint x, GLint y, GLsizei width );     

void glCopyTexSubImage2D( GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height );    

void glMap1d( GLenum target, GLdouble u1, GLdouble u2, GLint stride, GLint order, const GLdouble *points );    

void glMap1f( GLenum target, GLfloat u1, GLfloat u2, GLint stride, GLint order, const GLfloat *points );    

void glMap2d( GLenum target, GLdouble u1, GLdouble u2, GLint ustride, GLint uorder, GLdouble v1, GLdouble v2, GLint vstride, GLint vorder, const GLdouble *points );    

void glMap2f( GLenum target, GLfloat u1, GLfloat u2, GLint ustride, GLint uorder, GLfloat v1, GLfloat v2, GLint vstride, GLint vorder, const GLfloat *points );      

void glGetMapdv( GLenum target, GLenum query, GLdouble *v );      

void glGetMapfv( GLenum target, GLenum query, GLfloat *v );    

void glGetMapiv( GLenum target, GLenum query, GLint *v );      

void glEvalCoord1d( GLdouble u );      

void glEvalCoord1f( GLfloat u );    

void glEvalCoord1dv( const GLdouble *u );    

void glEvalCoord1fv( const GLfloat *u );     

void glEvalCoord2d( GLdouble u, GLdouble v );      

void glEvalCoord2f( GLfloat u, GLfloat v );     

void glEvalCoord2dv( const GLdouble *u );    

void glEvalCoord2fv( const GLfloat *u );     

void glMapGrid1d( GLint un, GLdouble u1, GLdouble u2 );     

void glMapGrid1f( GLint un, GLfloat u1, GLfloat u2 );    

void glMapGrid2d( GLint un, GLdouble u1, GLdouble u2, GLint vn, GLdouble v1, GLdouble v2 );     

void glMapGrid2f( GLint un, GLfloat u1, GLfloat u2, GLint vn, GLfloat v1, GLfloat v2 );      

void glEvalPoint1( GLint i );    

void glEvalPoint2( GLint i, GLint j );    

void glEvalMesh1( GLenum mode, GLint i1, GLint i2 );     

void glEvalMesh2( GLenum mode, GLint i1, GLint i2, GLint j1, GLint j2 );      

void glFogf( GLenum pname, GLfloat param );     

void glFogi( GLenum pname, GLint param );    

void glFogfv( GLenum pname, const GLfloat *params );     

void glFogiv( GLenum pname, const GLint *params );    

void glFeedbackBuffer( GLsizei size, GLenum type, GLfloat *buffer );    

void glPassThrough( GLfloat token );      

void glSelectBuffer( GLsizei size, GLuint *buffer );     

void glInitNames( void );     

void glLoadName( GLuint name );     

void glPushName( GLuint name );     

void glPopName( void );    

void glBlendEquationEXT( GLenum mode );      

void glBlendColorEXT( GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha );      

void glPolygonOffsetEXT( GLfloat factor, GLfloat bias );    

void glVertexPointerEXT( GLint size, GLenum type, GLsizei stride, GLsizei count, const GLvoid *ptr );    

void glNormalPointerEXT( GLenum type, GLsizei stride, GLsizei count, const GLvoid *ptr );    

void glColorPointerEXT( GLint size, GLenum type, GLsizei stride, GLsizei count, const GLvoid *ptr );     

void glIndexPointerEXT( GLenum type, GLsizei stride, GLsizei count, const GLvoid *ptr );     

void glTexCoordPointerEXT( GLint size, GLenum type, GLsizei stride, GLsizei count, const GLvoid *ptr );     

void glEdgeFlagPointerEXT( GLsizei stride, GLsizei count, const GLboolean *ptr );      

void glGetPointervEXT( GLenum pname, void **params );    

void glArrayElementEXT( GLint i );     

void glDrawArraysEXT( GLenum mode, GLint first, GLsizei count );     

void glGenTexturesEXT( GLsizei n, GLuint *textures );    

void glDeleteTexturesEXT( GLsizei n, const GLuint *textures);     

void glBindTextureEXT( GLenum target, GLuint texture );     

void glPrioritizeTexturesEXT( GLsizei n, const GLuint *textures, const GLclampf *priorities );     

GLboolean glAreTexturesResidentEXT( GLsizei n, const GLuint *textures, GLboolean *residences );    

GLboolean glIsTextureEXT( GLuint texture );     

void glTexImage3DEXT( GLenum target, GLint level, GLenum internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const GLvoid *pixels );     

void glTexSubImage3DEXT( GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid *pixels);    

void glCopyTexSubImage3DEXT( GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height );    

void glColorTableEXT( GLenum target, GLenum internalformat, GLsizei width, GLenum format, GLenum type, const GLvoid *table );    

void glColorSubTableEXT( GLenum target, GLsizei start, GLsizei count, GLenum format, GLenum type, const GLvoid *data );    

void glGetColorTableEXT( GLenum target, GLenum format, GLenum type, GLvoid *table );      

void glGetColorTableParameterfvEXT( GLenum target, GLenum pname, GLfloat *params );    

void glGetColorTableParameterivEXT( GLenum target, GLenum pname, GLint *params );      

void glMultiTexCoord1dSGIS(GLenum target, GLdouble s);      

void glMultiTexCoord1dvSGIS(GLenum target, const GLdouble *v);    

void glMultiTexCoord1fSGIS(GLenum target, GLfloat s);    

void glMultiTexCoord1fvSGIS(GLenum target, const GLfloat *v);     

void glMultiTexCoord1iSGIS(GLenum target, GLint s);      

void glMultiTexCoord1ivSGIS(GLenum target, const GLint *v);    

void glMultiTexCoord1sSGIS(GLenum target, GLshort s);    

void glMultiTexCoord1svSGIS(GLenum target, const GLshort *v);     

void glMultiTexCoord2dSGIS(GLenum target, GLdouble s, GLdouble t);      

void glMultiTexCoord2dvSGIS(GLenum target, const GLdouble *v);    

void glMultiTexCoord2fSGIS(GLenum target, GLfloat s, GLfloat t);     

void glMultiTexCoord2fvSGIS(GLenum target, const GLfloat *v);     

void glMultiTexCoord2iSGIS(GLenum target, GLint s, GLint t);      

void glMultiTexCoord2ivSGIS(GLenum target, const GLint *v);    

void glMultiTexCoord2sSGIS(GLenum target, GLshort s, GLshort t);     

void glMultiTexCoord2svSGIS(GLenum target, const GLshort *v);     

void glMultiTexCoord3dSGIS(GLenum target, GLdouble s, GLdouble t, GLdouble r);      

void glMultiTexCoord3dvSGIS(GLenum target, const GLdouble *v);    

void glMultiTexCoord3fSGIS(GLenum target, GLfloat s, GLfloat t, GLfloat r);      

void glMultiTexCoord3fvSGIS(GLenum target, const GLfloat *v);     

void glMultiTexCoord3iSGIS(GLenum target, GLint s, GLint t, GLint r);      

void glMultiTexCoord3ivSGIS(GLenum target, const GLint *v);    

void glMultiTexCoord3sSGIS(GLenum target, GLshort s, GLshort t, GLshort r);      

void glMultiTexCoord3svSGIS(GLenum target, const GLshort *v);     

void glMultiTexCoord4dSGIS(GLenum target, GLdouble s, GLdouble t, GLdouble r, GLdouble q);      

void glMultiTexCoord4dvSGIS(GLenum target, const GLdouble *v);    

void glMultiTexCoord4fSGIS(GLenum target, GLfloat s, GLfloat t, GLfloat r, GLfloat q);    

void glMultiTexCoord4fvSGIS(GLenum target, const GLfloat *v);     

void glMultiTexCoord4iSGIS(GLenum target, GLint s, GLint t, GLint r, GLint q);      

void glMultiTexCoord4ivSGIS(GLenum target, const GLint *v);    

void glMultiTexCoord4sSGIS(GLenum target, GLshort s, GLshort t, GLshort r, GLshort q);    

void glMultiTexCoord4svSGIS(GLenum target, const GLshort *v);     

void glMultiTexCoordPointerSGIS(GLenum target, GLint size, GLenum type, GLsizei stride, const GLvoid *pointer);      

void glSelectTextureSGIS(GLenum target);     

void glSelectTextureCoordSetSGIS(GLenum target);      

void glMultiTexCoord1dEXT(GLenum target, GLdouble s);    

void glMultiTexCoord1dvEXT(GLenum target, const GLdouble *v);     

void glMultiTexCoord1fEXT(GLenum target, GLfloat s);     

void glMultiTexCoord1fvEXT(GLenum target, const GLfloat *v);      

void glMultiTexCoord1iEXT(GLenum target, GLint s);    

void glMultiTexCoord1ivEXT(GLenum target, const GLint *v);     

void glMultiTexCoord1sEXT(GLenum target, GLshort s);     

void glMultiTexCoord1svEXT(GLenum target, const GLshort *v);      

void glMultiTexCoord2dEXT(GLenum target, GLdouble s, GLdouble t);    

void glMultiTexCoord2dvEXT(GLenum target, const GLdouble *v);     

void glMultiTexCoord2fEXT(GLenum target, GLfloat s, GLfloat t);      

void glMultiTexCoord2fvEXT(GLenum target, const GLfloat *v);      

void glMultiTexCoord2iEXT(GLenum target, GLint s, GLint t);    

void glMultiTexCoord2ivEXT(GLenum target, const GLint *v);     

void glMultiTexCoord2sEXT(GLenum target, GLshort s, GLshort t);      

void glMultiTexCoord2svEXT(GLenum target, const GLshort *v);      

void glMultiTexCoord3dEXT(GLenum target, GLdouble s, GLdouble t, GLdouble r);    

void glMultiTexCoord3dvEXT(GLenum target, const GLdouble *v);     

void glMultiTexCoord3fEXT(GLenum target, GLfloat s, GLfloat t, GLfloat r);    

void glMultiTexCoord3fvEXT(GLenum target, const GLfloat *v);      

void glMultiTexCoord3iEXT(GLenum target, GLint s, GLint t, GLint r);    

void glMultiTexCoord3ivEXT(GLenum target, const GLint *v);     

void glMultiTexCoord3sEXT(GLenum target, GLshort s, GLshort t, GLshort r);    

void glMultiTexCoord3svEXT(GLenum target, const GLshort *v);      

void glMultiTexCoord4dEXT(GLenum target, GLdouble s, GLdouble t, GLdouble r, GLdouble q);    

void glMultiTexCoord4dvEXT(GLenum target, const GLdouble *v);     

void glMultiTexCoord4fEXT(GLenum target, GLfloat s, GLfloat t, GLfloat r, GLfloat q);     

void glMultiTexCoord4fvEXT(GLenum target, const GLfloat *v);      

void glMultiTexCoord4iEXT(GLenum target, GLint s, GLint t, GLint r, GLint q);    

void glMultiTexCoord4ivEXT(GLenum target, const GLint *v);     

void glMultiTexCoord4sEXT(GLenum target, GLshort s, GLshort t, GLshort r, GLshort q);     

void glMultiTexCoord4svEXT(GLenum target, const GLshort *v);      

void glInterleavedTextureCoordSetsEXT( GLint factor );      

void glSelectTextureEXT( GLenum target );    

void glSelectTextureCoordSetEXT( GLenum target );     

void glSelectTextureTransformEXT( GLenum target );    

void glPointParameterfEXT( GLenum pname, GLfloat param );      

void glPointParameterfvEXT( GLenum pname, const GLfloat *params );      

void glWindowPos2iMESA( GLint x, GLint y );     

void glWindowPos2sMESA( GLshort x, GLshort y );    

void glWindowPos2fMESA( GLfloat x, GLfloat y );    

void glWindowPos2dMESA( GLdouble x, GLdouble y );     

void glWindowPos2ivMESA( const GLint *p );      

void glWindowPos2svMESA( const GLshort *p );    

void glWindowPos2fvMESA( const GLfloat *p );    

void glWindowPos2dvMESA( const GLdouble *p );      

void glWindowPos3iMESA( GLint x, GLint y, GLint z );     

void glWindowPos3sMESA( GLshort x, GLshort y, GLshort z );     

void glWindowPos3fMESA( GLfloat x, GLfloat y, GLfloat z );     

void glWindowPos3dMESA( GLdouble x, GLdouble y, GLdouble z );     

void glWindowPos3ivMESA( const GLint *p );      

void glWindowPos3svMESA( const GLshort *p );    

void glWindowPos3fvMESA( const GLfloat *p );    

void glWindowPos3dvMESA( const GLdouble *p );      

void glWindowPos4iMESA( GLint x, GLint y, GLint z, GLint w );     

void glWindowPos4sMESA( GLshort x, GLshort y, GLshort z, GLshort w );      

void glWindowPos4fMESA( GLfloat x, GLfloat y, GLfloat z, GLfloat w );      

void glWindowPos4dMESA( GLdouble x, GLdouble y, GLdouble z, GLdouble w);      

void glWindowPos4ivMESA( const GLint *p );      

void glWindowPos4svMESA( const GLshort *p );    

void glWindowPos4fvMESA( const GLfloat *p );    

void glWindowPos4dvMESA( const GLdouble *p );      

void glResizeBuffersMESA( void );      

void glDrawRangeElements( GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, const GLvoid *indices );      

void glTexImage3D( GLenum target, GLint level, GLenum internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const GLvoid *pixels );     

void glTexSubImage3D( GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid *pixels);    

void glCopyTexSubImage3D( GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height );  

