void glutInit(int *argcp, char **argv);

void glutInitDisplayMode(unsigned int mode);

void glutInitDisplayString(const char *string);

void glutInitWindowPosition(int x, int y);

void glutInitWindowSize(int width, int height);

void glutMainLoop(void);

int glutCreateWindow(const char *title);

int glutCreateSubWindow(int win, int x, int y, int width, int height);

void glutDestroyWindow(int win);

void glutPostRedisplay(void);

void glutPostWindowRedisplay(int win);

void glutSwapBuffers(void);

int glutGetWindow(void);

void glutSetWindow(int win);

void glutSetWindowTitle(const char *title);

void glutSetIconTitle(const char *title);

void glutPositionWindow(int x, int y);

void glutReshapeWindow(int width, int height);

void glutPopWindow(void);

void glutPushWindow(void);

void glutIconifyWindow(void);

void glutShowWindow(void);

void glutHideWindow(void);

void glutFullScreen(void);

void glutSetCursor(int cursor);

void glutWarpPointer(int x, int y);

void glutEstablishOverlay(void);

void glutRemoveOverlay(void);

void glutUseLayer(GLenum layer);

void glutPostOverlayRedisplay(void);

void glutPostWindowOverlayRedisplay(int win);

void glutShowOverlay(void);

void glutHideOverlay(void);

int glutCreateMenu(void (*)(int));

void glutDestroyMenu(int menu);

int glutGetMenu(void);

void glutSetMenu(int menu);

void glutAddMenuEntry(const char *label, int value);

void glutAddSubMenu(const char *label, int submenu);

void glutChangeToMenuEntry(int item, const char *label, int value);

void glutChangeToSubMenu(int item, const char *label, int submenu);

void glutRemoveMenuItem(int item);

void glutAttachMenu(int button);

void glutDetachMenu(int button);

void glutDisplayFunc(void (*func)(void));

void glutReshapeFunc(void (*func)(int width, int height));

void glutKeyboardFunc(void (*func)(unsigned char key, int x, int y));

void glutMouseFunc(void (*func)(int button, int state, int x, int y));

void glutMotionFunc(void (*func)(int x, int y));

void glutPassiveMotionFunc(void (*func)(int x, int y));

void glutEntryFunc(void (*func)(int state));

void glutVisibilityFunc(void (*func)(int state));

void glutIdleFunc(void (*func)(void));

void glutTimerFunc(unsigned int millis, void (*func)(int value), int value);

void glutMenuStateFunc(void (*func)(int state));

void glutSpecialFunc(void (*func)(int key, int x, int y));

void glutSpaceballMotionFunc(void (*func)(int x, int y, int z));

void glutSpaceballRotateFunc(void (*func)(int x, int y, int z));

void glutSpaceballButtonFunc(void (*func)(int button, int state));

void glutButtonBoxFunc(void (*func)(int button, int state));

void glutDialsFunc(void (*func)(int dial, int value));

void glutTabletMotionFunc(void (*func)(int x, int y));

void glutTabletButtonFunc(void (*func)(int button, int state, int x, int y));

void glutMenuStatusFunc(void (*func)(int status, int x, int y));

void glutOverlayDisplayFunc(void (*func)(void));

void glutWindowStatusFunc(void (*func)(int state));

void glutKeyboardUpFunc(void (*func)(unsigned char key, int x, int y));

void glutSpecialUpFunc(void (*func)(int key, int x, int y));

void glutJoystickFunc(void (*func)(unsigned int buttonMask, int x, int y, int z), int pollInterval);

void glutSetColor(int, GLfloat red, GLfloat green, GLfloat blue);

GLfloat glutGetColor(int ndx, int component);

void glutCopyColormap(int win);

int glutGet(GLenum type);

int glutDeviceGet(GLenum type);

int glutExtensionSupported(const char *name);

int glutGetModifiers(void);

int glutLayerGet(GLenum type);

void glutBitmapCharacter(void *font, int character);

int glutBitmapWidth(void *font, int character);

void glutStrokeCharacter(void *font, int character);

int glutStrokeWidth(void *font, int character);

int glutBitmapLength(void *font, const unsigned char *string);

int glutStrokeLength(void *font, const unsigned char *string);

void glutWireSphere(GLdouble radius, GLint slices, GLint stacks);

void glutSolidSphere(GLdouble radius, GLint slices, GLint stacks);

void glutWireCone(GLdouble base, GLdouble height, GLint slices, GLint stacks);

void glutSolidCone(GLdouble base, GLdouble height, GLint slices, GLint stacks);

void glutWireCube(GLdouble size);

void glutSolidCube(GLdouble size);

void glutWireTorus(GLdouble innerRadius, GLdouble outerRadius, GLint sides, GLint rings);

void glutSolidTorus(GLdouble innerRadius, GLdouble outerRadius, GLint sides, GLint rings);

void glutWireDodecahedron(void);

void glutSolidDodecahedron(void);

void glutWireTeapot(GLdouble size);

void glutSolidTeapot(GLdouble size);

void glutWireOctahedron(void);

void glutSolidOctahedron(void);

void glutWireTetrahedron(void);

void glutSolidTetrahedron(void);

void glutWireIcosahedron(void);

void glutSolidIcosahedron(void);

int glutVideoResizeGet(GLenum param);

void glutSetupVideoResizing(void);

void glutStopVideoResizing(void);

void glutVideoResize(int x, int y, int width, int height);

void glutVideoPan(int x, int y, int width, int height);

void glutReportErrors(void);

void glutIgnoreKeyRepeat(int ignore);

void glutSetKeyRepeat(int repeatMode);

void glutForceJoystickFunc(void);

void glutGameModeString(const char *string);

int glutEnterGameMode(void);

void glutLeaveGameMode(void);

int glutGameModeGet(GLenum mode);



