#ifndef _INCLUDE_PRAGMA_AGL_LIB_H
#define _INCLUDE_PRAGMA_AGL_LIB_H

#ifndef CLIB_AGL_PROTOS_H
#include <clib/agl_protos.h>
#endif

#ifdef __GNUC__
#include <inline/agl.h>
#endif
#if defined(AZTEC_C) || defined(__MAXON__) || defined(__STORM__)
#pragma amicall(glBase,0x01E,registerGL(a0))
#pragma amicall(glBase,0x024,AmigaMesaCreateContext(a0))
#pragma amicall(glBase,0x02A,AmigaMesaDestroyContext(a0))
#pragma amicall(glBase,0x030,AmigaMesaCreateVisual(a0))
#pragma amicall(glBase,0x036,AmigaMesaDestroyVisual(a0))
#pragma amicall(glBase,0x03C,AmigaMesaMakeCurrent(a0,a1))
#pragma amicall(glBase,0x042,AmigaMesaSwapBuffers(a0))
#pragma amicall(glBase,0x048,AmigaMesaSetOneColor(a0,d0,fp0,fp1,fp2))
#pragma amicall(glBase,0x04E,AmigaMesaSetRast(a0,a1))
#pragma amicall(glBase,0x054,AmigaMesaGetConfig(a0,d0,a1))
#pragma amicall(glBase,0x0B4,glClearIndex(fp0))
#pragma amicall(glBase,0x0BA,glClearColor(fp0,fp1,fp2,fp3))
#pragma amicall(glBase,0x0C0,glClear(d0))
#pragma amicall(glBase,0x0C6,glIndexMask(d0))
#pragma amicall(glBase,0x0CC,glColorMask(d0,d1,d2,d3))
#pragma amicall(glBase,0x0D2,glAlphaFunc(d0,fp0))
#pragma amicall(glBase,0x0D8,glBlendFunc(d0,d1))
#pragma amicall(glBase,0x0DE,glLogicOp(d0))
#pragma amicall(glBase,0x0E4,glCullFace(d0))
#pragma amicall(glBase,0x0EA,glFrontFace(d0))
#pragma amicall(glBase,0x0F0,glPointSize(fp0))
#pragma amicall(glBase,0x0F6,glLineWidth(fp0))
#pragma amicall(glBase,0x0FC,glLineStipple(d0,d1))
#pragma amicall(glBase,0x102,glPolygonMode(d0,d1))
#pragma amicall(glBase,0x108,glPolygonOffset(fp0,fp1))
#pragma amicall(glBase,0x10E,glPolygonStipple(a0))
#pragma amicall(glBase,0x114,glGetPolygonStipple(a0))
#pragma amicall(glBase,0x11A,glEdgeFlag(d0))
#pragma amicall(glBase,0x120,glEdgeFlagv(a0))
#pragma amicall(glBase,0x126,glScissor(d0,d1,d2,d3))
#pragma amicall(glBase,0x12C,glClipPlane(d0,a0))
#pragma amicall(glBase,0x132,glGetClipPlane(d0,a0))
#pragma amicall(glBase,0x138,glDrawBuffer(d0))
#pragma amicall(glBase,0x13E,glReadBuffer(d0))
#pragma amicall(glBase,0x144,glEnable(d0))
#pragma amicall(glBase,0x14A,glDisable(d0))
#pragma amicall(glBase,0x150,glIsEnabled(d0))
#pragma amicall(glBase,0x156,glEnableClientState(d0))
#pragma amicall(glBase,0x15C,glDisableClientState(d0))
#pragma amicall(glBase,0x162,glGetBooleanv(d0,a0))
#pragma amicall(glBase,0x168,glGetDoublev(d0,a0))
#pragma amicall(glBase,0x16E,glGetFloatv(d0,a0))
#pragma amicall(glBase,0x174,glGetIntegerv(d0,a0))
#pragma amicall(glBase,0x17A,glPushAttrib(d0))
#pragma amicall(glBase,0x180,glPopAttrib())
#pragma amicall(glBase,0x186,glPushClientAttrib(d0))
#pragma amicall(glBase,0x18C,glPopClientAttrib())
#pragma amicall(glBase,0x192,glRenderMode(d0))
#pragma amicall(glBase,0x198,glGetError())
#pragma amicall(glBase,0x19E,glGetString(d0))
#pragma amicall(glBase,0x1A4,glFinish())
#pragma amicall(glBase,0x1AA,glFlush())
#pragma amicall(glBase,0x1B0,glHint(d0,d1))
#pragma amicall(glBase,0x1B6,glClearDepth(fp0))
#pragma amicall(glBase,0x1BC,glDepthFunc(d0))
#pragma amicall(glBase,0x1C2,glDepthMask(d0))
#pragma amicall(glBase,0x1C8,glDepthRange(fp0,fp1))
#pragma amicall(glBase,0x1CE,glClearAccum(fp0,fp1,fp2,fp3))
#pragma amicall(glBase,0x1D4,glAccum(d0,fp0))
#pragma amicall(glBase,0x1DA,glMatrixMode(d0))
#pragma amicall(glBase,0x1E0,glOrtho(fp0,fp1,fp2,fp3,fp4,fp5))
#pragma amicall(glBase,0x1E6,glFrustum(fp0,fp1,fp2,fp3,fp4,fp5))
#pragma amicall(glBase,0x1EC,glViewport(d0,d1,d2,d3))
#pragma amicall(glBase,0x1F2,glPushMatrix())
#pragma amicall(glBase,0x1F8,glPopMatrix())
#pragma amicall(glBase,0x1FE,glLoadIdentity())
#pragma amicall(glBase,0x204,glLoadMatrixd(a0))
#pragma amicall(glBase,0x20A,glLoadMatrixf(a0))
#pragma amicall(glBase,0x210,glMultMatrixd(a0))
#pragma amicall(glBase,0x216,glMultMatrixf(a0))
#pragma amicall(glBase,0x21C,glRotated(fp0,fp1,fp2,fp3))
#pragma amicall(glBase,0x222,glRotatef(fp0,fp1,fp2,fp3))
#pragma amicall(glBase,0x228,glScaled(fp0,fp1,fp2))
#pragma amicall(glBase,0x22E,glScalef(fp0,fp1,fp2))
#pragma amicall(glBase,0x234,glTranslated(fp0,fp1,fp2))
#pragma amicall(glBase,0x23A,glTranslatef(fp0,fp1,fp2))
#pragma amicall(glBase,0x240,glIsList(d0))
#pragma amicall(glBase,0x246,glDeleteLists(d0,d1))
#pragma amicall(glBase,0x24C,glGenLists(d0))
#pragma amicall(glBase,0x252,glNewList(d0,d1))
#pragma amicall(glBase,0x258,glEndList())
#pragma amicall(glBase,0x25E,glCallList(d0))
#pragma amicall(glBase,0x264,glCallLists(d0,d1,a0))
#pragma amicall(glBase,0x26A,glListBase(d0))
#pragma amicall(glBase,0x270,glBegin(d0))
#pragma amicall(glBase,0x276,glEnd())
#pragma amicall(glBase,0x27C,glVertex2d(fp0,fp1))
#pragma amicall(glBase,0x282,glVertex2f(fp0,fp1))
#pragma amicall(glBase,0x288,glVertex2i(d0,d1))
#pragma amicall(glBase,0x28E,glVertex2s(d0,d1))
#pragma amicall(glBase,0x294,glVertex3d(fp0,fp1,fp2))
#pragma amicall(glBase,0x29A,glVertex3f(fp0,fp1,fp2))
#pragma amicall(glBase,0x2A0,glVertex3i(d0,d1,d2))
#pragma amicall(glBase,0x2A6,glVertex3s(d0,d1,d2))
#pragma amicall(glBase,0x2AC,glVertex4d(fp0,fp1,fp2,fp3))
#pragma amicall(glBase,0x2B2,glVertex4f(fp0,fp1,fp2,fp3))
#pragma amicall(glBase,0x2B8,glVertex4i(d0,d1,d2,d3))
#pragma amicall(glBase,0x2BE,glVertex4s(d0,d1,d2,d3))
#pragma amicall(glBase,0x2C4,glVertex2dv(a0))
#pragma amicall(glBase,0x2CA,glVertex2fv(a0))
#pragma amicall(glBase,0x2D0,glVertex2iv(a0))
#pragma amicall(glBase,0x2D6,glVertex2sv(a0))
#pragma amicall(glBase,0x2DC,glVertex3dv(a0))
#pragma amicall(glBase,0x2E2,glVertex3fv(a0))
#pragma amicall(glBase,0x2E8,glVertex3iv(a0))
#pragma amicall(glBase,0x2EE,glVertex3sv(a0))
#pragma amicall(glBase,0x2F4,glVertex4dv(a0))
#pragma amicall(glBase,0x2FA,glVertex4fv(a0))
#pragma amicall(glBase,0x300,glVertex4iv(a0))
#pragma amicall(glBase,0x306,glVertex4sv(a0))
#pragma amicall(glBase,0x30C,glNormal3b(d0,d1,d2))
#pragma amicall(glBase,0x312,glNormal3d(fp0,fp1,fp2))
#pragma amicall(glBase,0x318,glNormal3f(fp0,fp1,fp2))
#pragma amicall(glBase,0x31E,glNormal3i(d0,d1,d2))
#pragma amicall(glBase,0x324,glNormal3s(d0,d1,d2))
#pragma amicall(glBase,0x32A,glNormal3bv(a0))
#pragma amicall(glBase,0x330,glNormal3dv(a0))
#pragma amicall(glBase,0x336,glNormal3fv(a0))
#pragma amicall(glBase,0x33C,glNormal3iv(a0))
#pragma amicall(glBase,0x342,glNormal3sv(a0))
#pragma amicall(glBase,0x348,glIndexd(fp0))
#pragma amicall(glBase,0x34E,glIndexf(fp0))
#pragma amicall(glBase,0x354,glIndexi(d0))
#pragma amicall(glBase,0x35A,glIndexs(d0))
#pragma amicall(glBase,0x360,glIndexub(d0))
#pragma amicall(glBase,0x366,glIndexdv(a0))
#pragma amicall(glBase,0x36C,glIndexfv(a0))
#pragma amicall(glBase,0x372,glIndexiv(a0))
#pragma amicall(glBase,0x378,glIndexsv(a0))
#pragma amicall(glBase,0x37E,glIndexubv(a0))
#pragma amicall(glBase,0x384,glColor3b(d0,d1,d2))
#pragma amicall(glBase,0x38A,glColor3d(fp0,fp1,fp2))
#pragma amicall(glBase,0x390,glColor3f(fp0,fp1,fp2))
#pragma amicall(glBase,0x396,glColor3i(d0,d1,d2))
#pragma amicall(glBase,0x39C,glColor3s(d0,d1,d2))
#pragma amicall(glBase,0x3A2,glColor3ub(d0,d1,d2))
#pragma amicall(glBase,0x3A8,glColor3ui(d0,d1,d2))
#pragma amicall(glBase,0x3AE,glColor3us(d0,d1,d2))
#pragma amicall(glBase,0x3B4,glColor4b(d0,d1,d2,d3))
#pragma amicall(glBase,0x3BA,glColor4d(fp0,fp1,fp2,fp3))
#pragma amicall(glBase,0x3C0,glColor4f(fp0,fp1,fp2,fp3))
#pragma amicall(glBase,0x3C6,glColor4i(d0,d1,d2,d3))
#pragma amicall(glBase,0x3CC,glColor4s(d0,d1,d2,d3))
#pragma amicall(glBase,0x3D2,glColor4ub(d0,d1,d2,d3))
#pragma amicall(glBase,0x3D8,glColor4ui(d0,d1,d2,d3))
#pragma amicall(glBase,0x3DE,glColor4us(d0,d1,d2,d3))
#pragma amicall(glBase,0x3E4,glColor3bv(a0))
#pragma amicall(glBase,0x3EA,glColor3dv(a0))
#pragma amicall(glBase,0x3F0,glColor3fv(a0))
#pragma amicall(glBase,0x3F6,glColor3iv(a0))
#pragma amicall(glBase,0x3FC,glColor3sv(a0))
#pragma amicall(glBase,0x402,glColor3ubv(a0))
#pragma amicall(glBase,0x408,glColor3uiv(a0))
#pragma amicall(glBase,0x40E,glColor3usv(a0))
#pragma amicall(glBase,0x414,glColor4bv(a0))
#pragma amicall(glBase,0x41A,glColor4dv(a0))
#pragma amicall(glBase,0x420,glColor4fv(a0))
#pragma amicall(glBase,0x426,glColor4iv(a0))
#pragma amicall(glBase,0x42C,glColor4sv(a0))
#pragma amicall(glBase,0x432,glColor4ubv(a0))
#pragma amicall(glBase,0x438,glColor4uiv(a0))
#pragma amicall(glBase,0x43E,glColor4usv(a0))
#pragma amicall(glBase,0x444,glTexCoord1d(fp0))
#pragma amicall(glBase,0x44A,glTexCoord1f(fp0))
#pragma amicall(glBase,0x450,glTexCoord1i(d0))
#pragma amicall(glBase,0x456,glTexCoord1s(d0))
#pragma amicall(glBase,0x45C,glTexCoord2d(fp0,fp1))
#pragma amicall(glBase,0x462,glTexCoord2f(fp0,fp1))
#pragma amicall(glBase,0x468,glTexCoord2i(d0,d1))
#pragma amicall(glBase,0x46E,glTexCoord2s(d0,d1))
#pragma amicall(glBase,0x474,glTexCoord3d(fp0,fp1,fp2))
#pragma amicall(glBase,0x47A,glTexCoord3f(fp0,fp1,fp2))
#pragma amicall(glBase,0x480,glTexCoord3i(d0,d1,d2))
#pragma amicall(glBase,0x486,glTexCoord3s(d0,d1,d2))
#pragma amicall(glBase,0x48C,glTexCoord4d(fp0,fp1,fp2,fp3))
#pragma amicall(glBase,0x492,glTexCoord4f(fp0,fp1,fp2,fp3))
#pragma amicall(glBase,0x498,glTexCoord4i(d0,d1,d2,d3))
#pragma amicall(glBase,0x49E,glTexCoord4s(d0,d1,d2,d3))
#pragma amicall(glBase,0x4A4,glTexCoord1dv(a0))
#pragma amicall(glBase,0x4AA,glTexCoord1fv(a0))
#pragma amicall(glBase,0x4B0,glTexCoord1iv(a0))
#pragma amicall(glBase,0x4B6,glTexCoord1sv(a0))
#pragma amicall(glBase,0x4BC,glTexCoord2dv(a0))
#pragma amicall(glBase,0x4C2,glTexCoord2fv(a0))
#pragma amicall(glBase,0x4C8,glTexCoord2iv(a0))
#pragma amicall(glBase,0x4CE,glTexCoord2sv(a0))
#pragma amicall(glBase,0x4D4,glTexCoord3dv(a0))
#pragma amicall(glBase,0x4DA,glTexCoord3fv(a0))
#pragma amicall(glBase,0x4E0,glTexCoord3iv(a0))
#pragma amicall(glBase,0x4E6,glTexCoord3sv(a0))
#pragma amicall(glBase,0x4EC,glTexCoord4dv(a0))
#pragma amicall(glBase,0x4F2,glTexCoord4fv(a0))
#pragma amicall(glBase,0x4F8,glTexCoord4iv(a0))
#pragma amicall(glBase,0x4FE,glTexCoord4sv(a0))
#pragma amicall(glBase,0x504,glRasterPos2d(fp0,fp1))
#pragma amicall(glBase,0x50A,glRasterPos2f(fp0,fp1))
#pragma amicall(glBase,0x510,glRasterPos2i(d0,d1))
#pragma amicall(glBase,0x516,glRasterPos2s(d0,d1))
#pragma amicall(glBase,0x51C,glRasterPos3d(fp0,fp1,fp2))
#pragma amicall(glBase,0x522,glRasterPos3f(fp0,fp1,fp2))
#pragma amicall(glBase,0x528,glRasterPos3i(d0,d1,d2))
#pragma amicall(glBase,0x52E,glRasterPos3s(d0,d1,d2))
#pragma amicall(glBase,0x534,glRasterPos4d(fp0,fp1,fp2,fp3))
#pragma amicall(glBase,0x53A,glRasterPos4f(fp0,fp1,fp2,fp3))
#pragma amicall(glBase,0x540,glRasterPos4i(d0,d1,d2,d3))
#pragma amicall(glBase,0x546,glRasterPos4s(d0,d1,d2,d3))
#pragma amicall(glBase,0x54C,glRasterPos2dv(a0))
#pragma amicall(glBase,0x552,glRasterPos2fv(a0))
#pragma amicall(glBase,0x558,glRasterPos2iv(a0))
#pragma amicall(glBase,0x55E,glRasterPos2sv(a0))
#pragma amicall(glBase,0x564,glRasterPos3dv(a0))
#pragma amicall(glBase,0x56A,glRasterPos3fv(a0))
#pragma amicall(glBase,0x570,glRasterPos3iv(a0))
#pragma amicall(glBase,0x576,glRasterPos3sv(a0))
#pragma amicall(glBase,0x57C,glRasterPos4dv(a0))
#pragma amicall(glBase,0x582,glRasterPos4fv(a0))
#pragma amicall(glBase,0x588,glRasterPos4iv(a0))
#pragma amicall(glBase,0x58E,glRasterPos4sv(a0))
#pragma amicall(glBase,0x594,glRectd(fp0,fp1,fp2,fp3))
#pragma amicall(glBase,0x59A,glRectf(fp0,fp1,fp2,fp3))
#pragma amicall(glBase,0x5A0,glRecti(d0,d1,d2,d3))
#pragma amicall(glBase,0x5A6,glRects(d0,d1,d2,d3))
#pragma amicall(glBase,0x5AC,glRectdv(a0,a1))
#pragma amicall(glBase,0x5B2,glRectfv(a0,a1))
#pragma amicall(glBase,0x5B8,glRectiv(a0,a1))
#pragma amicall(glBase,0x5BE,glRectsv(a0,a1))
#pragma amicall(glBase,0x5C4,glVertexPointer(d0,d1,d2,a0))
#pragma amicall(glBase,0x5CA,glNormalPointer(d0,d1,a0))
#pragma amicall(glBase,0x5D0,glColorPointer(d0,d1,d2,a0))
#pragma amicall(glBase,0x5D6,glIndexPointer(d0,d1,a0))
#pragma amicall(glBase,0x5DC,glTexCoordPointer(d0,d1,d2,a0))
#pragma amicall(glBase,0x5E2,glEdgeFlagPointer(d0,a0))
#pragma amicall(glBase,0x5E8,glGetPointerv(d0,a0))
#pragma amicall(glBase,0x5EE,glArrayElement(d0))
#pragma amicall(glBase,0x5F4,glDrawArrays(d0,d1,d2))
#pragma amicall(glBase,0x5FA,glDrawElements(d0,d1,d2,a0))
#pragma amicall(glBase,0x600,glInterleavedArrays(d0,d1,a0))
#pragma amicall(glBase,0x606,glShadeModel(d0))
#pragma amicall(glBase,0x60C,glLightf(d0,d1,fp0))
#pragma amicall(glBase,0x612,glLighti(d0,d1,d2))
#pragma amicall(glBase,0x618,glLightfv(d0,d1,a0))
#pragma amicall(glBase,0x61E,glLightiv(d0,d1,a0))
#pragma amicall(glBase,0x624,glGetLightfv(d0,d1,a0))
#pragma amicall(glBase,0x62A,glGetLightiv(d0,d1,a0))
#pragma amicall(glBase,0x630,glLightModelf(d0,fp0))
#pragma amicall(glBase,0x636,glLightModeli(d0,d1))
#pragma amicall(glBase,0x63C,glLightModelfv(d0,a0))
#pragma amicall(glBase,0x642,glLightModeliv(d0,a0))
#pragma amicall(glBase,0x648,glMaterialf(d0,d1,fp0))
#pragma amicall(glBase,0x64E,glMateriali(d0,d1,d2))
#pragma amicall(glBase,0x654,glMaterialfv(d0,d1,a0))
#pragma amicall(glBase,0x65A,glMaterialiv(d0,d1,a0))
#pragma amicall(glBase,0x660,glGetMaterialfv(d0,d1,a0))
#pragma amicall(glBase,0x666,glGetMaterialiv(d0,d1,a0))
#pragma amicall(glBase,0x66C,glColorMaterial(d0,d1))
#pragma amicall(glBase,0x672,glPixelZoom(fp0,fp1))
#pragma amicall(glBase,0x678,glPixelStoref(d0,fp0))
#pragma amicall(glBase,0x67E,glPixelStorei(d0,d1))
#pragma amicall(glBase,0x684,glPixelTransferf(d0,fp0))
#pragma amicall(glBase,0x68A,glPixelTransferi(d0,d1))
#pragma amicall(glBase,0x690,glPixelMapfv(d0,d1,a0))
#pragma amicall(glBase,0x696,glPixelMapuiv(d0,d1,a0))
#pragma amicall(glBase,0x69C,glPixelMapusv(d0,d1,a0))
#pragma amicall(glBase,0x6A2,glGetPixelMapfv(d0,a0))
#pragma amicall(glBase,0x6A8,glGetPixelMapuiv(d0,a0))
#pragma amicall(glBase,0x6AE,glGetPixelMapusv(d0,a0))
#pragma amicall(glBase,0x6B4,glBitmap(d0,d1,fp0,fp1,fp2,fp3,a0))
#pragma amicall(glBase,0x6BA,glReadPixels(d0,d1,d2,d3,d4,d5,a0))
#pragma amicall(glBase,0x6C0,glDrawPixels(d0,d1,d2,d3,a0))
#pragma amicall(glBase,0x6C6,glCopyPixels(d0,d1,d2,d3,d4))
#pragma amicall(glBase,0x6CC,glStencilFunc(d0,d1,d2))
#pragma amicall(glBase,0x6D2,glStencilMask(d0))
#pragma amicall(glBase,0x6D8,glStencilOp(d0,d1,d2))
#pragma amicall(glBase,0x6DE,glClearStencil(d0))
#pragma amicall(glBase,0x6E4,glTexGend(d0,d1,fp0))
#pragma amicall(glBase,0x6EA,glTexGenf(d0,d1,fp0))
#pragma amicall(glBase,0x6F0,glTexGeni(d0,d1,d2))
#pragma amicall(glBase,0x6F6,glTexGendv(d0,d1,a0))
#pragma amicall(glBase,0x6FC,glTexGenfv(d0,d1,a0))
#pragma amicall(glBase,0x702,glTexGeniv(d0,d1,a0))
#pragma amicall(glBase,0x708,glGetTexGendv(d0,d1,a0))
#pragma amicall(glBase,0x70E,glGetTexGenfv(d0,d1,a0))
#pragma amicall(glBase,0x714,glGetTexGeniv(d0,d1,a0))
#pragma amicall(glBase,0x71A,glTexEnvf(d0,d1,fp0))
#pragma amicall(glBase,0x720,glTexEnvi(d0,d1,d2))
#pragma amicall(glBase,0x726,glTexEnvfv(d0,d1,a0))
#pragma amicall(glBase,0x72C,glTexEnviv(d0,d1,a0))
#pragma amicall(glBase,0x732,glGetTexEnvfv(d0,d1,a0))
#pragma amicall(glBase,0x738,glGetTexEnviv(d0,d1,a0))
#pragma amicall(glBase,0x73E,glTexParameterf(d0,d1,fp0))
#pragma amicall(glBase,0x744,glTexParameteri(d0,d1,d2))
#pragma amicall(glBase,0x74A,glTexParameterfv(d0,d1,a0))
#pragma amicall(glBase,0x750,glTexParameteriv(d0,d1,a0))
#pragma amicall(glBase,0x756,glGetTexParameterfv(d0,d1,a0))
#pragma amicall(glBase,0x75C,glGetTexParameteriv(d0,d1,a0))
#pragma amicall(glBase,0x762,glGetTexLevelParameterfv(d0,d1,d2,a0))
#pragma amicall(glBase,0x768,glGetTexLevelParameteriv(d0,d1,d2,a0))
#pragma amicall(glBase,0x76E,glTexImage1D(d0,d1,d2,d3,d4,d5,d6,a0))
#pragma amicall(glBase,0x774,glTexImage2D(d0,d1,d2,d3,d4,d5,d6,d7,a0))
#pragma amicall(glBase,0x77A,glGetTexImage(d0,d1,d2,d3,a0))
#pragma amicall(glBase,0x780,glGenTextures(d0,a0))
#pragma amicall(glBase,0x786,glDeleteTextures(d0,a0))
#pragma amicall(glBase,0x78C,glBindTexture(d0,d1))
#pragma amicall(glBase,0x792,glPrioritizeTextures(d0,a0,a1))
#pragma amicall(glBase,0x798,glAreTexturesResident(d0,a0,a1))
#pragma amicall(glBase,0x79E,glIsTexture(d0))
#pragma amicall(glBase,0x7A4,glTexSubImage1D(d0,d1,d2,d3,d4,d5,a0))
#pragma amicall(glBase,0x7AA,glTexSubImage2D(d0,d1,d2,d3,d4,d5,d6,d7,a0))
#pragma amicall(glBase,0x7B0,glCopyTexImage1D(d0,d1,d2,d3,d4,d5,d6))
#pragma amicall(glBase,0x7B6,glCopyTexImage2D(d0,d1,d2,d3,d4,d5,d6,d7))
#pragma amicall(glBase,0x7BC,glCopyTexSubImage1D(d0,d1,d2,d3,d4,d5))
#pragma amicall(glBase,0x7C2,glCopyTexSubImage2D(d0,d1,d2,d3,d4,d5,d6,d7))
#pragma amicall(glBase,0x7C8,glMap1d(d0,fp0,fp1,d1,d2,a0))
#pragma amicall(glBase,0x7CE,glMap1f(d0,fp0,fp1,d1,d2,a0))
#pragma amicall(glBase,0x7D4,glMap2d(d0,fp0,fp1,d1,d2,fp2,fp3,d3,d4,a0))
#pragma amicall(glBase,0x7DA,glMap2f(d0,fp0,fp1,d1,d2,fp2,fp3,d3,d4,a0))
#pragma amicall(glBase,0x7E0,glGetMapdv(d0,d1,a0))
#pragma amicall(glBase,0x7E6,glGetMapfv(d0,d1,a0))
#pragma amicall(glBase,0x7EC,glGetMapiv(d0,d1,a0))
#pragma amicall(glBase,0x7F2,glEvalCoord1d(fp0))
#pragma amicall(glBase,0x7F8,glEvalCoord1f(fp0))
#pragma amicall(glBase,0x7FE,glEvalCoord1dv(a0))
#pragma amicall(glBase,0x804,glEvalCoord1fv(a0))
#pragma amicall(glBase,0x80A,glEvalCoord2d(fp0,fp1))
#pragma amicall(glBase,0x810,glEvalCoord2f(fp0,fp1))
#pragma amicall(glBase,0x816,glEvalCoord2dv(a0))
#pragma amicall(glBase,0x81C,glEvalCoord2fv(a0))
#pragma amicall(glBase,0x822,glMapGrid1d(d0,fp0,fp1))
#pragma amicall(glBase,0x828,glMapGrid1f(d0,fp0,fp1))
#pragma amicall(glBase,0x82E,glMapGrid2d(d0,fp0,fp1,d1,fp2,fp3))
#pragma amicall(glBase,0x834,glMapGrid2f(d0,fp0,fp1,d1,fp2,fp3))
#pragma amicall(glBase,0x83A,glEvalPoint1(d0))
#pragma amicall(glBase,0x840,glEvalPoint2(d0,d1))
#pragma amicall(glBase,0x846,glEvalMesh1(d0,d1,d2))
#pragma amicall(glBase,0x84C,glEvalMesh2(d0,d1,d2,d3,d4))
#pragma amicall(glBase,0x852,glFogf(d0,fp0))
#pragma amicall(glBase,0x858,glFogi(d0,d1))
#pragma amicall(glBase,0x85E,glFogfv(d0,a0))
#pragma amicall(glBase,0x864,glFogiv(d0,a0))
#pragma amicall(glBase,0x86A,glFeedbackBuffer(d0,d1,a0))
#pragma amicall(glBase,0x870,glPassThrough(fp0))
#pragma amicall(glBase,0x876,glSelectBuffer(d0,a0))
#pragma amicall(glBase,0x87C,glInitNames())
#pragma amicall(glBase,0x882,glLoadName(d0))
#pragma amicall(glBase,0x888,glPushName(d0))
#pragma amicall(glBase,0x88E,glPopName())
#pragma amicall(glBase,0x894,glBlendEquationEXT(d0))
#pragma amicall(glBase,0x89A,glBlendColorEXT(fp0,fp1,fp2,fp3))
#pragma amicall(glBase,0x8A0,glPolygonOffsetEXT(fp0,fp1))
#pragma amicall(glBase,0x8A6,glVertexPointerEXT(d0,d1,d2,d3,a0))
#pragma amicall(glBase,0x8AC,glNormalPointerEXT(d0,d1,d2,a0))
#pragma amicall(glBase,0x8B2,glColorPointerEXT(d0,d1,d2,d3,a0))
#pragma amicall(glBase,0x8B8,glIndexPointerEXT(d0,d1,d2,a0))
#pragma amicall(glBase,0x8BE,glTexCoordPointerEXT(d0,d1,d2,d3,a0))
#pragma amicall(glBase,0x8C4,glEdgeFlagPointerEXT(d0,d1,a0))
#pragma amicall(glBase,0x8CA,glGetPointervEXT(d0,a0))
#pragma amicall(glBase,0x8D0,glArrayElementEXT(d0))
#pragma amicall(glBase,0x8D6,glDrawArraysEXT(d0,d1,d2))
#pragma amicall(glBase,0x8DC,glGenTexturesEXT(d0,a0))
#pragma amicall(glBase,0x8E2,glDeleteTexturesEXT(d0,a0))
#pragma amicall(glBase,0x8E8,glBindTextureEXT(d0,d1))
#pragma amicall(glBase,0x8EE,glPrioritizeTexturesEXT(d0,a0,a1))
#pragma amicall(glBase,0x8F4,glAreTexturesResidentEXT(d0,a0,a1))
#pragma amicall(glBase,0x8FA,glIsTextureEXT(d0))
#pragma amicall(glBase,0x900,glTexImage3DEXT(d0,d1,d2,d3,d4,d5,d6,d7,a0,a1))
#pragma amicall(glBase,0x906,glTexSubImage3DEXT(d0,d1,d2,d3,d4,d5,d6,d7,a0,a1,a2))
#pragma amicall(glBase,0x90C,glCopyTexSubImage3DEXT(d0,d1,d2,d3,d4,d5,d6,d7,a0))
#pragma amicall(glBase,0x912,glColorTableEXT(d0,d1,d2,d3,d4,a0))
#pragma amicall(glBase,0x918,glColorSubTableEXT(d0,d1,d2,d3,d4,a0))
#pragma amicall(glBase,0x91E,glGetColorTableEXT(d0,d1,d2,a0))
#pragma amicall(glBase,0x924,glGetColorTableParameterfvEXT(d0,d1,a0))
#pragma amicall(glBase,0x92A,glGetColorTableParameterivEXT(d0,d1,a0))
#pragma amicall(glBase,0x930,glMultiTexCoord1dSGIS(d0,fp0))
#pragma amicall(glBase,0x936,glMultiTexCoord1dvSGIS(d0,a0))
#pragma amicall(glBase,0x93C,glMultiTexCoord1fSGIS(d0,fp0))
#pragma amicall(glBase,0x942,glMultiTexCoord1fvSGIS(d0,a0))
#pragma amicall(glBase,0x948,glMultiTexCoord1iSGIS(d0,d1))
#pragma amicall(glBase,0x94E,glMultiTexCoord1ivSGIS(d0,a0))
#pragma amicall(glBase,0x954,glMultiTexCoord1sSGIS(d0,d1))
#pragma amicall(glBase,0x95A,glMultiTexCoord1svSGIS(d0,a0))
#pragma amicall(glBase,0x960,glMultiTexCoord2dSGIS(d0,fp0,fp1))
#pragma amicall(glBase,0x966,glMultiTexCoord2dvSGIS(d0,a0))
#pragma amicall(glBase,0x96C,glMultiTexCoord2fSGIS(d0,fp0,fp1))
#pragma amicall(glBase,0x972,glMultiTexCoord2fvSGIS(d0,a0))
#pragma amicall(glBase,0x978,glMultiTexCoord2iSGIS(d0,d1,d2))
#pragma amicall(glBase,0x97E,glMultiTexCoord2ivSGIS(d0,a0))
#pragma amicall(glBase,0x984,glMultiTexCoord2sSGIS(d0,d1,d2))
#pragma amicall(glBase,0x98A,glMultiTexCoord2svSGIS(d0,a0))
#pragma amicall(glBase,0x990,glMultiTexCoord3dSGIS(d0,fp0,fp1,fp2))
#pragma amicall(glBase,0x996,glMultiTexCoord3dvSGIS(d0,a0))
#pragma amicall(glBase,0x99C,glMultiTexCoord3fSGIS(d0,fp0,fp1,fp2))
#pragma amicall(glBase,0x9A2,glMultiTexCoord3fvSGIS(d0,a0))
#pragma amicall(glBase,0x9A8,glMultiTexCoord3iSGIS(d0,d1,d2,d3))
#pragma amicall(glBase,0x9AE,glMultiTexCoord3ivSGIS(d0,a0))
#pragma amicall(glBase,0x9B4,glMultiTexCoord3sSGIS(d0,d1,d2,d3))
#pragma amicall(glBase,0x9BA,glMultiTexCoord3svSGIS(d0,a0))
#pragma amicall(glBase,0x9C0,glMultiTexCoord4dSGIS(d0,fp0,fp1,fp2,fp3))
#pragma amicall(glBase,0x9C6,glMultiTexCoord4dvSGIS(d0,a0))
#pragma amicall(glBase,0x9CC,glMultiTexCoord4fSGIS(d0,fp0,fp1,fp2,fp3))
#pragma amicall(glBase,0x9D2,glMultiTexCoord4fvSGIS(d0,a0))
#pragma amicall(glBase,0x9D8,glMultiTexCoord4iSGIS(d0,d1,d2,d3,d4))
#pragma amicall(glBase,0x9DE,glMultiTexCoord4ivSGIS(d0,a0))
#pragma amicall(glBase,0x9E4,glMultiTexCoord4svSGIS(d0,a0))
#pragma amicall(glBase,0x9EA,glMultiTexCoordPointerSGIS(d0,d1,d2,d3,a0))
#pragma amicall(glBase,0x9F0,glSelectTextureSGIS(d0))
#pragma amicall(glBase,0x9F6,glSelectTextureCoordSetSGIS(d0))
#pragma amicall(glBase,0x9FC,glMultiTexCoord1dEXT(d0,fp0))
#pragma amicall(glBase,0xA02,glMultiTexCoord1dvEXT(d0,a0))
#pragma amicall(glBase,0xA08,glMultiTexCoord1fEXT(d0,fp0))
#pragma amicall(glBase,0xA0E,glMultiTexCoord1fvEXT(d0,a0))
#pragma amicall(glBase,0xA14,glMultiTexCoord1iEXT(d0,d1))
#pragma amicall(glBase,0xA1A,glMultiTexCoord1ivEXT(d0,a0))
#pragma amicall(glBase,0xA20,glMultiTexCoord1sEXT(d0,d1))
#pragma amicall(glBase,0xA26,glMultiTexCoord1svEXT(d0,a0))
#pragma amicall(glBase,0xA2C,glMultiTexCoord2dEXT(d0,fp0,fp1))
#pragma amicall(glBase,0xA32,glMultiTexCoord2dvEXT(d0,a0))
#pragma amicall(glBase,0xA38,glMultiTexCoord2fEXT(d0,fp0,fp1))
#pragma amicall(glBase,0xA3E,glMultiTexCoord2fvEXT(d0,a0))
#pragma amicall(glBase,0xA44,glMultiTexCoord2iEXT(d0,d1,d2))
#pragma amicall(glBase,0xA4A,glMultiTexCoord2ivEXT(d0,a0))
#pragma amicall(glBase,0xA50,glMultiTexCoord2sEXT(d0,d1,d2))
#pragma amicall(glBase,0xA56,glMultiTexCoord2svEXT(d0,a0))
#pragma amicall(glBase,0xA5C,glMultiTexCoord3dEXT(d0,fp0,fp1,fp2))
#pragma amicall(glBase,0xA62,glMultiTexCoord3dvEXT(d0,a0))
#pragma amicall(glBase,0xA68,glMultiTexCoord3fEXT(d0,fp0,fp1,fp2))
#pragma amicall(glBase,0xA6E,glMultiTexCoord3fvEXT(d0,a0))
#pragma amicall(glBase,0xA74,glMultiTexCoord3iEXT(d0,d1,d2,d3))
#pragma amicall(glBase,0xA7A,glMultiTexCoord3ivEXT(d0,a0))
#pragma amicall(glBase,0xA80,glMultiTexCoord3sEXT(d0,d1,d2,d3))
#pragma amicall(glBase,0xA86,glMultiTexCoord3svEXT(d0,a0))
#pragma amicall(glBase,0xA8C,glMultiTexCoord4dEXT(d0,fp0,fp1,fp2,fp3))
#pragma amicall(glBase,0xA92,glMultiTexCoord4dvEXT(d0,a0))
#pragma amicall(glBase,0xA98,glMultiTexCoord4fEXT(d0,fp0,fp1,fp2,fp3))
#pragma amicall(glBase,0xA9E,glMultiTexCoord4fvEXT(d0,a0))
#pragma amicall(glBase,0xAA4,glMultiTexCoord4iEXT(d0,d1,d2,d3,d4))
#pragma amicall(glBase,0xAAA,glMultiTexCoord4ivEXT(d0,a0))
#pragma amicall(glBase,0xAB0,glMultiTexCoord4svEXT(d0,a0))
#pragma amicall(glBase,0xAB6,glInterleavedTextureCoordSetsEXT(d0))
#pragma amicall(glBase,0xABC,glSelectTextureEXT(d0))
#pragma amicall(glBase,0xAC2,glSelectTextureCoordSetEXT(d0))
#pragma amicall(glBase,0xAC8,glSelectTextureTransformEXT(d0))
#pragma amicall(glBase,0xACE,glPointParameterfEXT(d0,fp0))
#pragma amicall(glBase,0xAD4,glPointParameterfvEXT(d0,a0))
#pragma amicall(glBase,0xADA,glWindowPos2iMESA(d0,d1))
#pragma amicall(glBase,0xAE0,glWindowPos2sMESA(d0,d1))
#pragma amicall(glBase,0xAE6,glWindowPos2fMESA(fp0,fp1))
#pragma amicall(glBase,0xAEC,glWindowPos2dMESA(fp0,fp1))
#pragma amicall(glBase,0xAF2,glWindowPos2ivMESA(a0))
#pragma amicall(glBase,0xAF8,glWindowPos2svMESA(a0))
#pragma amicall(glBase,0xAFE,glWindowPos2fvMESA(a0))
#pragma amicall(glBase,0xB04,glWindowPos2dvMESA(a0))
#pragma amicall(glBase,0xB0A,glWindowPos3iMESA(d0,d1,d2))
#pragma amicall(glBase,0xB10,glWindowPos3sMESA(d0,d1,d2))
#pragma amicall(glBase,0xB16,glWindowPos3fMESA(fp0,fp1,fp2))
#pragma amicall(glBase,0xB1C,glWindowPos3dMESA(fp0,fp1,fp2))
#pragma amicall(glBase,0xB22,glWindowPos3ivMESA(a0))
#pragma amicall(glBase,0xB28,glWindowPos3svMESA(a0))
#pragma amicall(glBase,0xB2E,glWindowPos3fvMESA(a0))
#pragma amicall(glBase,0xB34,glWindowPos3dvMESA(a0))
#pragma amicall(glBase,0xB3A,glWindowPos4iMESA(d0,d1,d2,d3))
#pragma amicall(glBase,0xB40,glWindowPos4sMESA(d0,d1,d2,d3))
#pragma amicall(glBase,0xB46,glWindowPos4fMESA(fp0,fp1,fp2,fp3))
#pragma amicall(glBase,0xB4C,glWindowPos4dMESA(fp0,fp1,fp2,fp3))
#pragma amicall(glBase,0xB52,glWindowPos4ivMESA(a0))
#pragma amicall(glBase,0xB58,glWindowPos4svMESA(a0))
#pragma amicall(glBase,0xB5E,glWindowPos4fvMESA(a0))
#pragma amicall(glBase,0xB64,glWindowPos4dvMESA(a0))
#pragma amicall(glBase,0xB6A,glResizeBuffersMESA())
#pragma amicall(glBase,0xB70,glDrawRangeElements(d0,d1,d2,d3,d4,a0))
#pragma amicall(glBase,0xB76,glTexSubImage3D(d0,d1,d2,d3,d4,d5,d6,d7,a0,a1,a2))
#pragma amicall(glBase,0xB7C,glCopyTexSubImage3D(d0,d1,d2,d3,d4,d5,d6,d7,a0))
#endif
#if defined(_DCC) || defined(__SASC)
#pragma  libcall glBase registerGL           01E 801
#pragma  libcall glBase AmigaMesaCreateContext 024 801
#pragma  libcall glBase AmigaMesaDestroyContext 02A 801
#pragma  libcall glBase AmigaMesaCreateVisual 030 801
#pragma  libcall glBase AmigaMesaDestroyVisual 036 801
#pragma  libcall glBase AmigaMesaMakeCurrent 03C 9802
#pragma  libcall glBase AmigaMesaSwapBuffers 042 801
#pragma flibcall glBase AmigaMesaSetOneColor 048 12111000080005
#pragma  libcall glBase AmigaMesaSetRast     04E 9802
#pragma  libcall glBase AmigaMesaGetConfig   054 90803
#pragma flibcall glBase glClearIndex         0B4 100001
#pragma flibcall glBase glClearColor         0BA 131211100004
#pragma  libcall glBase glClear              0C0 001
#pragma  libcall glBase glIndexMask          0C6 001
#pragma  libcall glBase glColorMask          0CC 321004
#pragma flibcall glBase glAlphaFunc          0D2 10000002
#pragma  libcall glBase glBlendFunc          0D8 1002
#pragma  libcall glBase glLogicOp            0DE 001
#pragma  libcall glBase glCullFace           0E4 001
#pragma  libcall glBase glFrontFace          0EA 001
#pragma flibcall glBase glPointSize          0F0 100001
#pragma flibcall glBase glLineWidth          0F6 100001
#pragma  libcall glBase glLineStipple        0FC 1002
#pragma  libcall glBase glPolygonMode        102 1002
#pragma flibcall glBase glPolygonOffset      108 11100002
#pragma  libcall glBase glPolygonStipple     10E 801
#pragma  libcall glBase glGetPolygonStipple  114 801
#pragma  libcall glBase glEdgeFlag           11A 001
#pragma  libcall glBase glEdgeFlagv          120 801
#pragma  libcall glBase glScissor            126 321004
#pragma  libcall glBase glClipPlane          12C 8002
#pragma  libcall glBase glGetClipPlane       132 8002
#pragma  libcall glBase glDrawBuffer         138 001
#pragma  libcall glBase glReadBuffer         13E 001
#pragma  libcall glBase glEnable             144 001
#pragma  libcall glBase glDisable            14A 001
#pragma  libcall glBase glIsEnabled          150 001
#pragma  libcall glBase glEnableClientState  156 001
#pragma  libcall glBase glDisableClientState 15C 001
#pragma  libcall glBase glGetBooleanv        162 8002
#pragma  libcall glBase glGetDoublev         168 8002
#pragma  libcall glBase glGetFloatv          16E 8002
#pragma  libcall glBase glGetIntegerv        174 8002
#pragma  libcall glBase glPushAttrib         17A 001
#pragma  libcall glBase glPopAttrib          180 00
#pragma  libcall glBase glPushClientAttrib   186 001
#pragma  libcall glBase glPopClientAttrib    18C 00
#pragma  libcall glBase glRenderMode         192 001
#pragma  libcall glBase glGetError           198 00
#pragma  libcall glBase glGetString          19E 001
#pragma  libcall glBase glFinish             1A4 00
#pragma  libcall glBase glFlush              1AA 00
#pragma  libcall glBase glHint               1B0 1002
#pragma flibcall glBase glClearDepth         1B6 100001
#pragma  libcall glBase glDepthFunc          1BC 001
#pragma  libcall glBase glDepthMask          1C2 001
#pragma flibcall glBase glDepthRange         1C8 11100002
#pragma flibcall glBase glClearAccum         1CE 131211100004
#pragma flibcall glBase glAccum              1D4 10000002
#pragma  libcall glBase glMatrixMode         1DA 001
#pragma flibcall glBase glOrtho              1E0 1514131211100006
#pragma flibcall glBase glFrustum            1E6 1514131211100006
#pragma  libcall glBase glViewport           1EC 321004
#pragma  libcall glBase glPushMatrix         1F2 00
#pragma  libcall glBase glPopMatrix          1F8 00
#pragma  libcall glBase glLoadIdentity       1FE 00
#pragma  libcall glBase glLoadMatrixd        204 801
#pragma  libcall glBase glLoadMatrixf        20A 801
#pragma  libcall glBase glMultMatrixd        210 801
#pragma  libcall glBase glMultMatrixf        216 801
#pragma flibcall glBase glRotated            21C 131211100004
#pragma flibcall glBase glRotatef            222 131211100004
#pragma flibcall glBase glScaled             228 1211100003
#pragma flibcall glBase glScalef             22E 1211100003
#pragma flibcall glBase glTranslated         234 1211100003
#pragma flibcall glBase glTranslatef         23A 1211100003
#pragma  libcall glBase glIsList             240 001
#pragma  libcall glBase glDeleteLists        246 1002
#pragma  libcall glBase glGenLists           24C 001
#pragma  libcall glBase glNewList            252 1002
#pragma  libcall glBase glEndList            258 00
#pragma  libcall glBase glCallList           25E 001
#pragma  libcall glBase glCallLists          264 81003
#pragma  libcall glBase glListBase           26A 001
#pragma  libcall glBase glBegin              270 001
#pragma  libcall glBase glEnd                276 00
#pragma flibcall glBase glVertex2d           27C 11100002
#pragma flibcall glBase glVertex2f           282 11100002
#pragma  libcall glBase glVertex2i           288 1002
#pragma  libcall glBase glVertex2s           28E 1002
#pragma flibcall glBase glVertex3d           294 1211100003
#pragma flibcall glBase glVertex3f           29A 1211100003
#pragma  libcall glBase glVertex3i           2A0 21003
#pragma  libcall glBase glVertex3s           2A6 21003
#pragma flibcall glBase glVertex4d           2AC 131211100004
#pragma flibcall glBase glVertex4f           2B2 131211100004
#pragma  libcall glBase glVertex4i           2B8 321004
#pragma  libcall glBase glVertex4s           2BE 321004
#pragma  libcall glBase glVertex2dv          2C4 801
#pragma  libcall glBase glVertex2fv          2CA 801
#pragma  libcall glBase glVertex2iv          2D0 801
#pragma  libcall glBase glVertex2sv          2D6 801
#pragma  libcall glBase glVertex3dv          2DC 801
#pragma  libcall glBase glVertex3fv          2E2 801
#pragma  libcall glBase glVertex3iv          2E8 801
#pragma  libcall glBase glVertex3sv          2EE 801
#pragma  libcall glBase glVertex4dv          2F4 801
#pragma  libcall glBase glVertex4fv          2FA 801
#pragma  libcall glBase glVertex4iv          300 801
#pragma  libcall glBase glVertex4sv          306 801
#pragma  libcall glBase glNormal3b           30C 21003
#pragma flibcall glBase glNormal3d           312 1211100003
#pragma flibcall glBase glNormal3f           318 1211100003
#pragma  libcall glBase glNormal3i           31E 21003
#pragma  libcall glBase glNormal3s           324 21003
#pragma  libcall glBase glNormal3bv          32A 801
#pragma  libcall glBase glNormal3dv          330 801
#pragma  libcall glBase glNormal3fv          336 801
#pragma  libcall glBase glNormal3iv          33C 801
#pragma  libcall glBase glNormal3sv          342 801
#pragma flibcall glBase glIndexd             348 100001
#pragma flibcall glBase glIndexf             34E 100001
#pragma  libcall glBase glIndexi             354 001
#pragma  libcall glBase glIndexs             35A 001
#pragma  libcall glBase glIndexub            360 001
#pragma  libcall glBase glIndexdv            366 801
#pragma  libcall glBase glIndexfv            36C 801
#pragma  libcall glBase glIndexiv            372 801
#pragma  libcall glBase glIndexsv            378 801
#pragma  libcall glBase glIndexubv           37E 801
#pragma  libcall glBase glColor3b            384 21003
#pragma flibcall glBase glColor3d            38A 1211100003
#pragma flibcall glBase glColor3f            390 1211100003
#pragma  libcall glBase glColor3i            396 21003
#pragma  libcall glBase glColor3s            39C 21003
#pragma  libcall glBase glColor3ub           3A2 21003
#pragma  libcall glBase glColor3ui           3A8 21003
#pragma  libcall glBase glColor3us           3AE 21003
#pragma  libcall glBase glColor4b            3B4 321004
#pragma flibcall glBase glColor4d            3BA 131211100004
#pragma flibcall glBase glColor4f            3C0 131211100004
#pragma  libcall glBase glColor4i            3C6 321004
#pragma  libcall glBase glColor4s            3CC 321004
#pragma  libcall glBase glColor4ub           3D2 321004
#pragma  libcall glBase glColor4ui           3D8 321004
#pragma  libcall glBase glColor4us           3DE 321004
#pragma  libcall glBase glColor3bv           3E4 801
#pragma  libcall glBase glColor3dv           3EA 801
#pragma  libcall glBase glColor3fv           3F0 801
#pragma  libcall glBase glColor3iv           3F6 801
#pragma  libcall glBase glColor3sv           3FC 801
#pragma  libcall glBase glColor3ubv          402 801
#pragma  libcall glBase glColor3uiv          408 801
#pragma  libcall glBase glColor3usv          40E 801
#pragma  libcall glBase glColor4bv           414 801
#pragma  libcall glBase glColor4dv           41A 801
#pragma  libcall glBase glColor4fv           420 801
#pragma  libcall glBase glColor4iv           426 801
#pragma  libcall glBase glColor4sv           42C 801
#pragma  libcall glBase glColor4ubv          432 801
#pragma  libcall glBase glColor4uiv          438 801
#pragma  libcall glBase glColor4usv          43E 801
#pragma flibcall glBase glTexCoord1d         444 100001
#pragma flibcall glBase glTexCoord1f         44A 100001
#pragma  libcall glBase glTexCoord1i         450 001
#pragma  libcall glBase glTexCoord1s         456 001
#pragma flibcall glBase glTexCoord2d         45C 11100002
#pragma flibcall glBase glTexCoord2f         462 11100002
#pragma  libcall glBase glTexCoord2i         468 1002
#pragma  libcall glBase glTexCoord2s         46E 1002
#pragma flibcall glBase glTexCoord3d         474 1211100003
#pragma flibcall glBase glTexCoord3f         47A 1211100003
#pragma  libcall glBase glTexCoord3i         480 21003
#pragma  libcall glBase glTexCoord3s         486 21003
#pragma flibcall glBase glTexCoord4d         48C 131211100004
#pragma flibcall glBase glTexCoord4f         492 131211100004
#pragma  libcall glBase glTexCoord4i         498 321004
#pragma  libcall glBase glTexCoord4s         49E 321004
#pragma  libcall glBase glTexCoord1dv        4A4 801
#pragma  libcall glBase glTexCoord1fv        4AA 801
#pragma  libcall glBase glTexCoord1iv        4B0 801
#pragma  libcall glBase glTexCoord1sv        4B6 801
#pragma  libcall glBase glTexCoord2dv        4BC 801
#pragma  libcall glBase glTexCoord2fv        4C2 801
#pragma  libcall glBase glTexCoord2iv        4C8 801
#pragma  libcall glBase glTexCoord2sv        4CE 801
#pragma  libcall glBase glTexCoord3dv        4D4 801
#pragma  libcall glBase glTexCoord3fv        4DA 801
#pragma  libcall glBase glTexCoord3iv        4E0 801
#pragma  libcall glBase glTexCoord3sv        4E6 801
#pragma  libcall glBase glTexCoord4dv        4EC 801
#pragma  libcall glBase glTexCoord4fv        4F2 801
#pragma  libcall glBase glTexCoord4iv        4F8 801
#pragma  libcall glBase glTexCoord4sv        4FE 801
#pragma flibcall glBase glRasterPos2d        504 11100002
#pragma flibcall glBase glRasterPos2f        50A 11100002
#pragma  libcall glBase glRasterPos2i        510 1002
#pragma  libcall glBase glRasterPos2s        516 1002
#pragma flibcall glBase glRasterPos3d        51C 1211100003
#pragma flibcall glBase glRasterPos3f        522 1211100003
#pragma  libcall glBase glRasterPos3i        528 21003
#pragma  libcall glBase glRasterPos3s        52E 21003
#pragma flibcall glBase glRasterPos4d        534 131211100004
#pragma flibcall glBase glRasterPos4f        53A 131211100004
#pragma  libcall glBase glRasterPos4i        540 321004
#pragma  libcall glBase glRasterPos4s        546 321004
#pragma  libcall glBase glRasterPos2dv       54C 801
#pragma  libcall glBase glRasterPos2fv       552 801
#pragma  libcall glBase glRasterPos2iv       558 801
#pragma  libcall glBase glRasterPos2sv       55E 801
#pragma  libcall glBase glRasterPos3dv       564 801
#pragma  libcall glBase glRasterPos3fv       56A 801
#pragma  libcall glBase glRasterPos3iv       570 801
#pragma  libcall glBase glRasterPos3sv       576 801
#pragma  libcall glBase glRasterPos4dv       57C 801
#pragma  libcall glBase glRasterPos4fv       582 801
#pragma  libcall glBase glRasterPos4iv       588 801
#pragma  libcall glBase glRasterPos4sv       58E 801
#pragma flibcall glBase glRectd              594 131211100004
#pragma flibcall glBase glRectf              59A 131211100004
#pragma  libcall glBase glRecti              5A0 321004
#pragma  libcall glBase glRects              5A6 321004
#pragma  libcall glBase glRectdv             5AC 9802
#pragma  libcall glBase glRectfv             5B2 9802
#pragma  libcall glBase glRectiv             5B8 9802
#pragma  libcall glBase glRectsv             5BE 9802
#pragma  libcall glBase glVertexPointer      5C4 821004
#pragma  libcall glBase glNormalPointer      5CA 81003
#pragma  libcall glBase glColorPointer       5D0 821004
#pragma  libcall glBase glIndexPointer       5D6 81003
#pragma  libcall glBase glTexCoordPointer    5DC 821004
#pragma  libcall glBase glEdgeFlagPointer    5E2 8002
#pragma  libcall glBase glGetPointerv        5E8 8002
#pragma  libcall glBase glArrayElement       5EE 001
#pragma  libcall glBase glDrawArrays         5F4 21003
#pragma  libcall glBase glDrawElements       5FA 821004
#pragma  libcall glBase glInterleavedArrays  600 81003
#pragma  libcall glBase glShadeModel         606 001
#pragma flibcall glBase glLightf             60C 1001000003
#pragma  libcall glBase glLighti             612 21003
#pragma  libcall glBase glLightfv            618 81003
#pragma  libcall glBase glLightiv            61E 81003
#pragma  libcall glBase glGetLightfv         624 81003
#pragma  libcall glBase glGetLightiv         62A 81003
#pragma flibcall glBase glLightModelf        630 10000002
#pragma  libcall glBase glLightModeli        636 1002
#pragma  libcall glBase glLightModelfv       63C 8002
#pragma  libcall glBase glLightModeliv       642 8002
#pragma flibcall glBase glMaterialf          648 1001000003
#pragma  libcall glBase glMateriali          64E 21003
#pragma  libcall glBase glMaterialfv         654 81003
#pragma  libcall glBase glMaterialiv         65A 81003
#pragma  libcall glBase glGetMaterialfv      660 81003
#pragma  libcall glBase glGetMaterialiv      666 81003
#pragma  libcall glBase glColorMaterial      66C 1002
#pragma flibcall glBase glPixelZoom          672 11100002
#pragma flibcall glBase glPixelStoref        678 10000002
#pragma  libcall glBase glPixelStorei        67E 1002
#pragma flibcall glBase glPixelTransferf     684 10000002
#pragma  libcall glBase glPixelTransferi     68A 1002
#pragma  libcall glBase glPixelMapfv         690 81003
#pragma  libcall glBase glPixelMapuiv        696 81003
#pragma  libcall glBase glPixelMapusv        69C 81003
#pragma  libcall glBase glGetPixelMapfv      6A2 8002
#pragma  libcall glBase glGetPixelMapuiv     6A8 8002
#pragma  libcall glBase glGetPixelMapusv     6AE 8002
#pragma flibcall glBase glBitmap             6B4 081312111001000007
#pragma  libcall glBase glReadPixels         6BA 854321007
#pragma  libcall glBase glDrawPixels         6C0 8321005
#pragma  libcall glBase glCopyPixels         6C6 4321005
#pragma  libcall glBase glStencilFunc        6CC 21003
#pragma  libcall glBase glStencilMask        6D2 001
#pragma  libcall glBase glStencilOp          6D8 21003
#pragma  libcall glBase glClearStencil       6DE 001
#pragma flibcall glBase glTexGend            6E4 1001000003
#pragma flibcall glBase glTexGenf            6EA 1001000003
#pragma  libcall glBase glTexGeni            6F0 21003
#pragma  libcall glBase glTexGendv           6F6 81003
#pragma  libcall glBase glTexGenfv           6FC 81003
#pragma  libcall glBase glTexGeniv           702 81003
#pragma  libcall glBase glGetTexGendv        708 81003
#pragma  libcall glBase glGetTexGenfv        70E 81003
#pragma  libcall glBase glGetTexGeniv        714 81003
#pragma flibcall glBase glTexEnvf            71A 1001000003
#pragma  libcall glBase glTexEnvi            720 21003
#pragma  libcall glBase glTexEnvfv           726 81003
#pragma  libcall glBase glTexEnviv           72C 81003
#pragma  libcall glBase glGetTexEnvfv        732 81003
#pragma  libcall glBase glGetTexEnviv        738 81003
#pragma flibcall glBase glTexParameterf      73E 1001000003
#pragma  libcall glBase glTexParameteri      744 21003
#pragma  libcall glBase glTexParameterfv     74A 81003
#pragma  libcall glBase glTexParameteriv     750 81003
#pragma  libcall glBase glGetTexParameterfv  756 81003
#pragma  libcall glBase glGetTexParameteriv  75C 81003
#pragma  libcall glBase glGetTexLevelParameterfv 762 821004
#pragma  libcall glBase glGetTexLevelParameteriv 768 821004
#pragma  libcall glBase glTexImage1D         76E 8654321008
#pragma  libcall glBase glTexImage2D         774 87654321009
#pragma  libcall glBase glGetTexImage        77A 8321005
#pragma  libcall glBase glGenTextures        780 8002
#pragma  libcall glBase glDeleteTextures     786 8002
#pragma  libcall glBase glBindTexture        78C 1002
#pragma  libcall glBase glPrioritizeTextures 792 98003
#pragma  libcall glBase glAreTexturesResident 798 98003
#pragma  libcall glBase glIsTexture          79E 001
#pragma  libcall glBase glTexSubImage1D      7A4 854321007
#pragma  libcall glBase glTexSubImage2D      7AA 87654321009
#pragma  libcall glBase glCopyTexImage1D     7B0 654321007
#pragma  libcall glBase glCopyTexImage2D     7B6 7654321008
#pragma  libcall glBase glCopyTexSubImage1D  7BC 54321006
#pragma  libcall glBase glCopyTexSubImage2D  7C2 7654321008
#pragma flibcall glBase glMap1d              7C8 0802011110000006
#pragma flibcall glBase glMap1f              7CE 0802011110000006
#pragma flibcall glBase glMap2d              7D4 08040313120201111000000A
#pragma flibcall glBase glMap2f              7DA 08040313120201111000000A
#pragma  libcall glBase glGetMapdv           7E0 81003
#pragma  libcall glBase glGetMapfv           7E6 81003
#pragma  libcall glBase glGetMapiv           7EC 81003
#pragma flibcall glBase glEvalCoord1d        7F2 100001
#pragma flibcall glBase glEvalCoord1f        7F8 100001
#pragma  libcall glBase glEvalCoord1dv       7FE 801
#pragma  libcall glBase glEvalCoord1fv       804 801
#pragma flibcall glBase glEvalCoord2d        80A 11100002
#pragma flibcall glBase glEvalCoord2f        810 11100002
#pragma  libcall glBase glEvalCoord2dv       816 801
#pragma  libcall glBase glEvalCoord2fv       81C 801
#pragma flibcall glBase glMapGrid1d          822 1110000003
#pragma flibcall glBase glMapGrid1f          828 1110000003
#pragma flibcall glBase glMapGrid2d          82E 1312011110000006
#pragma flibcall glBase glMapGrid2f          834 1312011110000006
#pragma  libcall glBase glEvalPoint1         83A 001
#pragma  libcall glBase glEvalPoint2         840 1002
#pragma  libcall glBase glEvalMesh1          846 21003
#pragma  libcall glBase glEvalMesh2          84C 4321005
#pragma flibcall glBase glFogf               852 10000002
#pragma  libcall glBase glFogi               858 1002
#pragma  libcall glBase glFogfv              85E 8002
#pragma  libcall glBase glFogiv              864 8002
#pragma  libcall glBase glFeedbackBuffer     86A 81003
#pragma flibcall glBase glPassThrough        870 100001
#pragma  libcall glBase glSelectBuffer       876 8002
#pragma  libcall glBase glInitNames          87C 00
#pragma  libcall glBase glLoadName           882 001
#pragma  libcall glBase glPushName           888 001
#pragma  libcall glBase glPopName            88E 00
#pragma  libcall glBase glBlendEquationEXT   894 001
#pragma flibcall glBase glBlendColorEXT      89A 131211100004
#pragma flibcall glBase glPolygonOffsetEXT   8A0 11100002
#pragma  libcall glBase glVertexPointerEXT   8A6 8321005
#pragma  libcall glBase glNormalPointerEXT   8AC 821004
#pragma  libcall glBase glColorPointerEXT    8B2 8321005
#pragma  libcall glBase glIndexPointerEXT    8B8 821004
#pragma  libcall glBase glTexCoordPointerEXT 8BE 8321005
#pragma  libcall glBase glEdgeFlagPointerEXT 8C4 81003
#pragma  libcall glBase glGetPointervEXT     8CA 8002
#pragma  libcall glBase glArrayElementEXT    8D0 001
#pragma  libcall glBase glDrawArraysEXT      8D6 21003
#pragma  libcall glBase glGenTexturesEXT     8DC 8002
#pragma  libcall glBase glDeleteTexturesEXT  8E2 8002
#pragma  libcall glBase glBindTextureEXT     8E8 1002
#pragma  libcall glBase glPrioritizeTexturesEXT 8EE 98003
#pragma  libcall glBase glAreTexturesResidentEXT 8F4 98003
#pragma  libcall glBase glIsTextureEXT       8FA 001
#pragma  libcall glBase glTexImage3DEXT      900 98765432100A
#pragma  libcall glBase glTexSubImage3DEXT   906 A98765432100B
#pragma  libcall glBase glCopyTexSubImage3DEXT 90C 87654321009
#pragma  libcall glBase glColorTableEXT      912 84321006
#pragma  libcall glBase glColorSubTableEXT   918 84321006
#pragma  libcall glBase glGetColorTableEXT   91E 821004
#pragma  libcall glBase glGetColorTableParameterfvEXT 924 81003
#pragma  libcall glBase glGetColorTableParameterivEXT 92A 81003
#pragma flibcall glBase glMultiTexCoord1dSGIS 930 10000002
#pragma  libcall glBase glMultiTexCoord1dvSGIS 936 8002
#pragma flibcall glBase glMultiTexCoord1fSGIS 93C 10000002
#pragma  libcall glBase glMultiTexCoord1fvSGIS 942 8002
#pragma  libcall glBase glMultiTexCoord1iSGIS 948 1002
#pragma  libcall glBase glMultiTexCoord1ivSGIS 94E 8002
#pragma  libcall glBase glMultiTexCoord1sSGIS 954 1002
#pragma  libcall glBase glMultiTexCoord1svSGIS 95A 8002
#pragma flibcall glBase glMultiTexCoord2dSGIS 960 1110000003
#pragma  libcall glBase glMultiTexCoord2dvSGIS 966 8002
#pragma flibcall glBase glMultiTexCoord2fSGIS 96C 1110000003
#pragma  libcall glBase glMultiTexCoord2fvSGIS 972 8002
#pragma  libcall glBase glMultiTexCoord2iSGIS 978 21003
#pragma  libcall glBase glMultiTexCoord2ivSGIS 97E 8002
#pragma  libcall glBase glMultiTexCoord2sSGIS 984 21003
#pragma  libcall glBase glMultiTexCoord2svSGIS 98A 8002
#pragma flibcall glBase glMultiTexCoord3dSGIS 990 121110000004
#pragma  libcall glBase glMultiTexCoord3dvSGIS 996 8002
#pragma flibcall glBase glMultiTexCoord3fSGIS 99C 121110000004
#pragma  libcall glBase glMultiTexCoord3fvSGIS 9A2 8002
#pragma  libcall glBase glMultiTexCoord3iSGIS 9A8 321004
#pragma  libcall glBase glMultiTexCoord3ivSGIS 9AE 8002
#pragma  libcall glBase glMultiTexCoord3sSGIS 9B4 321004
#pragma  libcall glBase glMultiTexCoord3svSGIS 9BA 8002
#pragma flibcall glBase glMultiTexCoord4dSGIS 9C0 13121110000005
#pragma  libcall glBase glMultiTexCoord4dvSGIS 9C6 8002
#pragma flibcall glBase glMultiTexCoord4fSGIS 9CC 13121110000005
#pragma  libcall glBase glMultiTexCoord4fvSGIS 9D2 8002
#pragma  libcall glBase glMultiTexCoord4iSGIS 9D8 4321005
#pragma  libcall glBase glMultiTexCoord4ivSGIS 9DE 8002
#pragma  libcall glBase glMultiTexCoord4svSGIS 9E4 8002
#pragma  libcall glBase glMultiTexCoordPointerSGIS 9EA 8321005
#pragma  libcall glBase glSelectTextureSGIS  9F0 001
#pragma  libcall glBase glSelectTextureCoordSetSGIS 9F6 001
#pragma flibcall glBase glMultiTexCoord1dEXT 9FC 10000002
#pragma  libcall glBase glMultiTexCoord1dvEXT A02 8002
#pragma flibcall glBase glMultiTexCoord1fEXT A08 10000002
#pragma  libcall glBase glMultiTexCoord1fvEXT A0E 8002
#pragma  libcall glBase glMultiTexCoord1iEXT A14 1002
#pragma  libcall glBase glMultiTexCoord1ivEXT A1A 8002
#pragma  libcall glBase glMultiTexCoord1sEXT A20 1002
#pragma  libcall glBase glMultiTexCoord1svEXT A26 8002
#pragma flibcall glBase glMultiTexCoord2dEXT A2C 1110000003
#pragma  libcall glBase glMultiTexCoord2dvEXT A32 8002
#pragma flibcall glBase glMultiTexCoord2fEXT A38 1110000003
#pragma  libcall glBase glMultiTexCoord2fvEXT A3E 8002
#pragma  libcall glBase glMultiTexCoord2iEXT A44 21003
#pragma  libcall glBase glMultiTexCoord2ivEXT A4A 8002
#pragma  libcall glBase glMultiTexCoord2sEXT A50 21003
#pragma  libcall glBase glMultiTexCoord2svEXT A56 8002
#pragma flibcall glBase glMultiTexCoord3dEXT A5C 121110000004
#pragma  libcall glBase glMultiTexCoord3dvEXT A62 8002
#pragma flibcall glBase glMultiTexCoord3fEXT A68 121110000004
#pragma  libcall glBase glMultiTexCoord3fvEXT A6E 8002
#pragma  libcall glBase glMultiTexCoord3iEXT A74 321004
#pragma  libcall glBase glMultiTexCoord3ivEXT A7A 8002
#pragma  libcall glBase glMultiTexCoord3sEXT A80 321004
#pragma  libcall glBase glMultiTexCoord3svEXT A86 8002
#pragma flibcall glBase glMultiTexCoord4dEXT A8C 13121110000005
#pragma  libcall glBase glMultiTexCoord4dvEXT A92 8002
#pragma flibcall glBase glMultiTexCoord4fEXT A98 13121110000005
#pragma  libcall glBase glMultiTexCoord4fvEXT A9E 8002
#pragma  libcall glBase glMultiTexCoord4iEXT AA4 4321005
#pragma  libcall glBase glMultiTexCoord4ivEXT AAA 8002
#pragma  libcall glBase glMultiTexCoord4svEXT AB0 8002
#pragma  libcall glBase glInterleavedTextureCoordSetsEXT AB6 001
#pragma  libcall glBase glSelectTextureEXT   ABC 001
#pragma  libcall glBase glSelectTextureCoordSetEXT AC2 001
#pragma  libcall glBase glSelectTextureTransformEXT AC8 001
#pragma flibcall glBase glPointParameterfEXT ACE 10000002
#pragma  libcall glBase glPointParameterfvEXT AD4 8002
#pragma  libcall glBase glWindowPos2iMESA    ADA 1002
#pragma  libcall glBase glWindowPos2sMESA    AE0 1002
#pragma flibcall glBase glWindowPos2fMESA    AE6 11100002
#pragma flibcall glBase glWindowPos2dMESA    AEC 11100002
#pragma  libcall glBase glWindowPos2ivMESA   AF2 801
#pragma  libcall glBase glWindowPos2svMESA   AF8 801
#pragma  libcall glBase glWindowPos2fvMESA   AFE 801
#pragma  libcall glBase glWindowPos2dvMESA   B04 801
#pragma  libcall glBase glWindowPos3iMESA    B0A 21003
#pragma  libcall glBase glWindowPos3sMESA    B10 21003
#pragma flibcall glBase glWindowPos3fMESA    B16 1211100003
#pragma flibcall glBase glWindowPos3dMESA    B1C 1211100003
#pragma  libcall glBase glWindowPos3ivMESA   B22 801
#pragma  libcall glBase glWindowPos3svMESA   B28 801
#pragma  libcall glBase glWindowPos3fvMESA   B2E 801
#pragma  libcall glBase glWindowPos3dvMESA   B34 801
#pragma  libcall glBase glWindowPos4iMESA    B3A 321004
#pragma  libcall glBase glWindowPos4sMESA    B40 321004
#pragma flibcall glBase glWindowPos4fMESA    B46 131211100004
#pragma flibcall glBase glWindowPos4dMESA    B4C 131211100004
#pragma  libcall glBase glWindowPos4ivMESA   B52 801
#pragma  libcall glBase glWindowPos4svMESA   B58 801
#pragma  libcall glBase glWindowPos4fvMESA   B5E 801
#pragma  libcall glBase glWindowPos4dvMESA   B64 801
#pragma  libcall glBase glResizeBuffersMESA  B6A 00
#pragma  libcall glBase glDrawRangeElements  B70 84321006
#pragma  libcall glBase glTexSubImage3D      B76 A98765432100B
#pragma  libcall glBase glCopyTexSubImage3D  B7C 87654321009
#endif

#endif	/*  _INCLUDE_PRAGMA_AGL_LIB_H  */
