#ifndef _INCLUDE_PRAGMA_AGLE_LIB_H
#define _INCLUDE_PRAGMA_AGLE_LIB_H

#ifndef CLIB_AGLE_PROTOS_H
#include <clib/agle_protos.h>
#endif

#ifdef __GNUC__
#include <inline/agle.h>
#endif
#if defined(AZTEC_C) || defined(__MAXON__) || defined(__STORM__)
#pragma amicall(gleBase,0x01E,registerGLE(a0))
#pragma amicall(gleBase,0x024,gleGetJoinStyle())
#pragma amicall(gleBase,0x02A,gleSetJoinStyle(d0))
#pragma amicall(gleBase,0x030,gleGetNumSlices())
#pragma amicall(gleBase,0x036,gleSetNumSlices(d0))
#pragma amicall(gleBase,0x03C,glePolyCylinder(d0,a0,a1,fp0))
#pragma amicall(gleBase,0x042,glePolyCone(d0,a0,a1,a2))
#pragma amicall(gleBase,0x048,gleExtrusion(d0,a0,a1,a2,d1,a3,d2))
#pragma amicall(gleBase,0x04E,gleTwistExtrusion(d0,a0,a1,a2,d1,a3,d2,d3))
#pragma amicall(gleBase,0x054,gleSuperExtrusion(d0,a0,a1,a2,d1,a3,d2,d3))
#pragma amicall(gleBase,0x05A,gleSpiral(d0,a0,a1,a2,fp0,fp1,fp2,fp3,a3,d1,fp4,fp5))
#pragma amicall(gleBase,0x060,gleLathe(d0,a0,a1,a2,fp0,fp1,fp2,fp3,a3,d1,fp4,fp5))
#pragma amicall(gleBase,0x066,gleHelicoid(fp0,fp1,fp2,fp3,fp4,a0,a1,fp5,fp6))
#pragma amicall(gleBase,0x06C,gleToroid(fp0,fp1,fp2,fp3,fp4,a0,a1,fp5,fp6))
#pragma amicall(gleBase,0x072,gleScrew(d0,a0,a1,a2,fp0,fp1,fp2))
#pragma amicall(gleBase,0x078,gleTextureMode(d0))
#endif
#if defined(_DCC) || defined(__SASC)
#pragma  libcall gleBase registerGLE          01E 801
#pragma  libcall gleBase gleGetJoinStyle      024 00
#pragma  libcall gleBase gleSetJoinStyle      02A 001
#pragma  libcall gleBase gleGetNumSlices      030 00
#pragma  libcall gleBase gleSetNumSlices      036 001
#pragma flibcall gleBase glePolyCylinder      03C 100908000004
#pragma  libcall gleBase glePolyCone          042 A98004
#pragma  libcall gleBase gleExtrusion         048 2B1A98007
#pragma  libcall gleBase gleTwistExtrusion    04E 32B1A98008
#pragma  libcall gleBase gleSuperExtrusion    054 32B1A98008
#pragma flibcall gleBase gleSpiral            05A 1514010B131211100A090800000C
#pragma flibcall gleBase gleLathe             060 1514010B131211100A090800000C
#pragma flibcall gleBase gleHelicoid          066 1615090814131211100009
#pragma flibcall gleBase gleToroid            06C 1615090814131211100009
#pragma flibcall gleBase gleScrew             072 1211100A0908000007
#pragma  libcall gleBase gleTextureMode       078 001
#endif

#endif	/*  _INCLUDE_PRAGMA_AGLE_LIB_H  */
