#ifndef _INCLUDE_PRAGMA_AGLSMAP_LIB_H
#define _INCLUDE_PRAGMA_AGLSMAP_LIB_H

#ifndef CLIB_AGLSMAP_PROTOS_H
#include <clib/aglsmap_protos.h>
#endif

#ifdef __GNUC__
#include <inline/aglsmap.h>
#endif
#if defined(AZTEC_C) || defined(__MAXON__) || defined(__STORM__)
#pragma amicall(glsmapBase,0x01E,registerGLSMAP(a0))
#pragma amicall(glsmapBase,0x024,smapCreateSphereMap(a0))
#pragma amicall(glsmapBase,0x02A,smapDestroySphereMap(a0))
#pragma amicall(glsmapBase,0x030,smapConfigureSphereMapMesh(a0,d0,d1,d2))
#pragma amicall(glsmapBase,0x036,smapSetSphereMapTexObj(a0,d0))
#pragma amicall(glsmapBase,0x03C,smapSetViewTexObj(a0,d0))
#pragma amicall(glsmapBase,0x042,smapSetViewTexObjs(a0,a1))
#pragma amicall(glsmapBase,0x048,smapGetSphereMapTexObj(a0,a1))
#pragma amicall(glsmapBase,0x04E,smapGetViewTexObj(a0,a1))
#pragma amicall(glsmapBase,0x054,smapGetViewTexObjs(a0,a1))
#pragma amicall(glsmapBase,0x05A,smapSetFlags(a0,d0))
#pragma amicall(glsmapBase,0x060,smapGetFlags(a0,a1))
#pragma amicall(glsmapBase,0x066,smapSetViewOrigin(a0,d0,d1))
#pragma amicall(glsmapBase,0x06C,smapSetSphereMapOrigin(a0,d0,d1))
#pragma amicall(glsmapBase,0x072,smapGetViewOrigin(a0,a1,a2))
#pragma amicall(glsmapBase,0x078,smapGetSphereMapOrigin(a0,a1,a2))
#pragma amicall(glsmapBase,0x07E,smapSetEye(a0,fp0,fp1,fp2))
#pragma amicall(glsmapBase,0x084,smapSetEyeVector(a0,a1))
#pragma amicall(glsmapBase,0x08A,smapSetUp(a0,fp0,fp1,fp2))
#pragma amicall(glsmapBase,0x090,smapSetUpVector(a0,a1))
#pragma amicall(glsmapBase,0x096,smapSetObject(a0,fp0,fp1,fp2))
#pragma amicall(glsmapBase,0x09C,smapSetObjectVector(a0,a1))
#pragma amicall(glsmapBase,0x0A2,smapGetEye(a0,a1,a2,a3))
#pragma amicall(glsmapBase,0x0A8,smapGetEyeVector(a0,a1))
#pragma amicall(glsmapBase,0x0AE,smapGetUp(a0,a1,a2,a3))
#pragma amicall(glsmapBase,0x0B4,smapGetUpVector(a0,a1))
#pragma amicall(glsmapBase,0x0BA,smapGetObject(a0,a1,a2,a3))
#pragma amicall(glsmapBase,0x0C0,smapGetObjectVector(a0,a1))
#pragma amicall(glsmapBase,0x0C6,smapSetNearFar(a0,fp0,fp1))
#pragma amicall(glsmapBase,0x0CC,smapGetNearFar(a0,a1,a2))
#pragma amicall(glsmapBase,0x0D2,smapSetSphereMapTexDim(a0,d0))
#pragma amicall(glsmapBase,0x0D8,smapSetViewTexDim(a0,d0))
#pragma amicall(glsmapBase,0x0DE,smapGetSphereMapTexDim(a0,a1))
#pragma amicall(glsmapBase,0x0E4,smapGetViewTexDim(a0,a1))
#pragma amicall(glsmapBase,0x0EA,smapSetContextData(a0,a1))
#pragma amicall(glsmapBase,0x0F0,smapGetContextData(a0,a1))
#pragma amicall(glsmapBase,0x0F6,smapSetPositionLightsFunc(a0,a1))
#pragma amicall(glsmapBase,0x0FC,smapSetDrawViewFunc(a0,a1))
#pragma amicall(glsmapBase,0x102,smapGetPositionLightsFunc(a0,a1))
#pragma amicall(glsmapBase,0x108,smapGetDrawViewFunc(a0,a1))
#pragma amicall(glsmapBase,0x10E,smapGenViewTex(a0,d0))
#pragma amicall(glsmapBase,0x114,smapGenViewTexs(a0))
#pragma amicall(glsmapBase,0x11A,smapGenSphereMapFromViewTexs(a0))
#pragma amicall(glsmapBase,0x120,smapGenSphereMap(a0))
#pragma amicall(glsmapBase,0x126,smapGenSphereMapWithOneViewTex(a0))
#pragma amicall(glsmapBase,0x12C,smapRvecToSt(a0,a1))
#pragma amicall(glsmapBase,0x132,smapStToRvec(a0,a1))
#endif
#if defined(_DCC) || defined(__SASC)
#pragma  libcall glsmapBase registerGLSMAP       01E 801
#pragma  libcall glsmapBase smapCreateSphereMap  024 801
#pragma  libcall glsmapBase smapDestroySphereMap 02A 801
#pragma  libcall glsmapBase smapConfigureSphereMapMesh 030 210804
#pragma  libcall glsmapBase smapSetSphereMapTexObj 036 0802
#pragma  libcall glsmapBase smapSetViewTexObj    03C 0802
#pragma  libcall glsmapBase smapSetViewTexObjs   042 9802
#pragma  libcall glsmapBase smapGetSphereMapTexObj 048 9802
#pragma  libcall glsmapBase smapGetViewTexObj    04E 9802
#pragma  libcall glsmapBase smapGetViewTexObjs   054 9802
#pragma  libcall glsmapBase smapSetFlags         05A 0802
#pragma  libcall glsmapBase smapGetFlags         060 9802
#pragma  libcall glsmapBase smapSetViewOrigin    066 10803
#pragma  libcall glsmapBase smapSetSphereMapOrigin 06C 10803
#pragma  libcall glsmapBase smapGetViewOrigin    072 A9803
#pragma  libcall glsmapBase smapGetSphereMapOrigin 078 A9803
#pragma flibcall glsmapBase smapSetEye           07E 121110080004
#pragma  libcall glsmapBase smapSetEyeVector     084 9802
#pragma flibcall glsmapBase smapSetUp            08A 121110080004
#pragma  libcall glsmapBase smapSetUpVector      090 9802
#pragma flibcall glsmapBase smapSetObject        096 121110080004
#pragma  libcall glsmapBase smapSetObjectVector  09C 9802
#pragma  libcall glsmapBase smapGetEye           0A2 BA9804
#pragma  libcall glsmapBase smapGetEyeVector     0A8 9802
#pragma  libcall glsmapBase smapGetUp            0AE BA9804
#pragma  libcall glsmapBase smapGetUpVector      0B4 9802
#pragma  libcall glsmapBase smapGetObject        0BA BA9804
#pragma  libcall glsmapBase smapGetObjectVector  0C0 9802
#pragma flibcall glsmapBase smapSetNearFar       0C6 1110080003
#pragma  libcall glsmapBase smapGetNearFar       0CC A9803
#pragma  libcall glsmapBase smapSetSphereMapTexDim 0D2 0802
#pragma  libcall glsmapBase smapSetViewTexDim    0D8 0802
#pragma  libcall glsmapBase smapGetSphereMapTexDim 0DE 9802
#pragma  libcall glsmapBase smapGetViewTexDim    0E4 9802
#pragma  libcall glsmapBase smapSetContextData   0EA 9802
#pragma  libcall glsmapBase smapGetContextData   0F0 9802
#pragma  libcall glsmapBase smapSetPositionLightsFunc 0F6 9802
#pragma  libcall glsmapBase smapSetDrawViewFunc  0FC 9802
#pragma  libcall glsmapBase smapGetPositionLightsFunc 102 9802
#pragma  libcall glsmapBase smapGetDrawViewFunc  108 9802
#pragma  libcall glsmapBase smapGenViewTex       10E 0802
#pragma  libcall glsmapBase smapGenViewTexs      114 801
#pragma  libcall glsmapBase smapGenSphereMapFromViewTexs 11A 801
#pragma  libcall glsmapBase smapGenSphereMap     120 801
#pragma  libcall glsmapBase smapGenSphereMapWithOneViewTex 126 801
#pragma  libcall glsmapBase smapRvecToSt         12C 9802
#pragma  libcall glsmapBase smapStToRvec         132 9802
#endif

#endif	/*  _INCLUDE_PRAGMA_AGLSMAP_LIB_H  */
