W3D_Vertex verts[4];
W3D_Triangles tris;

void draw_24original(W3D_Context *, W3D_Float);

W3D_Texture *tex ;
char *_1st=NULL;
ULONG error;


BOOL load_24original(void)
{


   char *image=NULL;
   FILE *fp_filename;

   image=malloc(256*256*3);

   if((fp_filename = fopen("PROGDIR:original_24_256x256x24.raw","rb")) == NULL)
     { printf("can't open original_24_256x256x24.raw\n");return FALSE;} ;


   fread(image,256*256*3,1,fp_filename);

   fclose(fp_filename);


   _1st=(UBYTE *)malloc(256*256*3);if(_1st==NULL){printf("sorry, can't malloc\n");return FALSE;};


   memcpy(_1st,image,256*256*3);

   free(image);

   tex = W3D_AllocTexObjTags(context, &error,
        W3D_ATO_IMAGE,      _1st,          // The image data
        W3D_ATO_FORMAT,     W3D_R8G8B8, 
        W3D_ATO_WIDTH,      256,        
        W3D_ATO_HEIGHT,     256,        
    TAG_DONE);


   return TRUE;

}



void draw_24original(W3D_Context *context, W3D_Float a)   
{
   int i=0;

    verts[0].x=0;            verts[0].y= 0-i;            verts[0].u=0;    verts[0].v =0;    verts[0].color.a = 1.0;
    verts[0].color.r = a;    verts[0].color.g = a;       verts[0].color.b = a;
    verts[0].z=0.0;          verts[0].w=1.0-verts[0].z;

    verts[1].x=256;          verts[1].y= 0-i;            verts[1].u=256;  verts[1].v =0;    verts[1].color.a = 1.0;
    verts[1].color.r = a;    verts[1].color.g = a;       verts[1].color.b = a;
    verts[1].z=0.0;          verts[1].w=1.0-verts[1].z;

    verts[2].x=0;            verts[2].y= 256-i;          verts[2].u=0;    verts[2].v = 256;  verts[2].color.a = 1.0;
    verts[2].color.r = a;    verts[2].color.g = a;       verts[2].color.b = a;
    verts[2].z=0.0;          verts[2].w=1.0-verts[2].z;

    verts[3].x=256;          verts[3].y= 256-i;          verts[3].u=256;  verts[3].v =256;  verts[3].color.a = 1.0;
    verts[3].color.r = a;    verts[3].color.g = a;       verts[3].color.b = a;
    verts[3].z=0.0;          verts[3].w=1.0-verts[3].z;


    tris.tex = tex;
    tris.vertexcount = 4;
    tris.v = verts;


    W3D_LockHardware(context);

    W3D_DrawTriStrip(context,&tris);

    W3D_UnLockHardware(context);


 }

