float a;

W3D_Scissor scissor = {0,0,640,480};
WORD large=640;
WORD high=480;

struct Library *Warp3DBase;

struct Screen  *screen;
int x,y;
struct Window  *window;

ULONG OpenErr, CError;

W3D_Context *context = NULL;


ULONG ModeID,flags,ScreenBits;        


struct RastPort bufferrastport;

SwitchDisplay(void)
{

	W3D_FlushFrame(context);
	W3D_WaitIdle(context);
	BltBitMapRastPort(bufferrastport.BitMap,0,0,window->RPort,0,0,large,high,0xC0);            
	W3D_SetScissor(context, &scissor);
	W3D_SetDrawRegion(context, bufferrastport.BitMap, 0,&scissor);

}



BOOL create_warp3d_context(void)

{
//   create_warp3d_context();

    printf("Warp3D init......");
    Warp3DBase = OpenLibrary("Warp3D.library", 2L);
    if (!Warp3DBase) {
        printf("Error opening Warp3D library\n");
        return FALSE;
    };


    screen     = LockPubScreen("Workbench") ;        
    x=screen->Width;
    y=screen->Height;  

    window = OpenWindowTags(NULL,        
        WA_Activate,    TRUE,        
        WA_Width,        large, //640
        WA_Height,        high, //480       
        WA_Left,        x/2-320,        
        WA_Top,        y/2-240,        
        WA_Title,       FALSE,// "warp3d window",
        WA_DragBar,     TRUE,
        WA_Backdrop,    FALSE,        
        WA_Borderless,    TRUE,        
//        WA_IDCMP,        IDCMPs,        
        TAG_DONE);        

    if (window==NULL)        
        {printf("Unable to open window\n");return FALSE;    }        

    InitRastPort( &bufferrastport );        
    ScreenBits  = GetBitMapAttr( window->WScreen->RastPort.BitMap, BMA_DEPTH );        
    flags = BMF_DISPLAYABLE|BMF_MINPLANES;        
    bufferrastport.BitMap = AllocBitMap(large,high,ScreenBits, flags, window->RPort->BitMap);        
    if(bufferrastport.BitMap==NULL)        
        {printf("No Bitmap\n");return FALSE;    }        



    context = W3D_CreateContextTags(&CError,        
        W3D_CC_BITMAP,(ULONG)bufferrastport.BitMap,         
        W3D_CC_YOFFSET,0,        
        W3D_CC_DRIVERTYPE,W3D_DRIVER_BEST,         
        W3D_CC_INDIRECT,TRUE,         
        W3D_CC_DOUBLEHEIGHT,FALSE, //DoubleHeightON,         
        W3D_CC_FAST,TRUE,         
    TAG_DONE);        




   if(CError==W3D_SUCCESS){printf("create Warp3D context success!\n");};
   if(CError==W3D_ILLEGALINPUT){printf("Illigal input!\n");};
   if(CError==W3D_NOMEMORY){printf("no memory\n");};
   if(CError==W3D_NODRIVER){printf("no driver\n");};
   if(CError==W3D_UNSUPPORTEDFMT){printf("usupportedfmt\n");};
   if(CError==W3D_ILLEGALBITMAP){printf("illegal bitmap\n");};


   return TRUE;
}